Introduction

UR5EQF Amateur Radio Logging Software

( help file version March, 2008, by Sergey, RZ1OM; English translation by George, N2HO )

 Top Next

Introduction:

UR5EQF LOG – this is a logging software for an amateur radio station. The software works under the Microsoft Windows (98/2000/XP/Vista). It has a convenient interface and a lot of useful tools, such as transceiver control, digital modes, DX-cluster operations, statistic calculation for awards and so on. It can work with other popular ham radio programs, such as CwType, CwGet, TrueTTY, AAVoice, MixW2, MMVARI, MMSSTV, MMTTY, Band Master, DX Atlas.

UR5EQF LOG uses databases from logging software AALog v.2.47.

The author – Vladimir, UR5EQF, is constantly improving and correcting the program and would appreciate any of your suggestions. You can contact him via email ur5eqf@cqrivne.com.ua

Main Functions of the software:

- You can create and store several logs for one station. For example, you can have one log for everyday work and several others for different contests and expeditions, and have combined statistics for awards.

- You can have logs for different stations with the description of every log. If you have in your family more than one ham operator or the program used for the club station, the log will allow each of users to have a separate statistics independently.

- The software has a network support, i.e. you can have several computers in the net simultaneously using the same log (implemented starting from version 2.18).

The software features:

· Work in the real time (the time and date are entered automatically) and in manual mode for the past QSOs;
· Simultaneous access to the log by several computers in the local net;
· Fast log upload to the online log on the Internet;
· Search for previous QSOs with the same station;
· Azimuth and distance computation, and Grid locator support;
· Built-in map of the world;
· Batch editing of QSOs;
· Sort of the log can be done by date, band, mode and callsign;
· Search with filters by any field;
· Tracking statistics for DXCC, WAZ, R-75-R, WAS, RDA, Russia, URDA, German DOK’s and many others;
· Applications filing for awards;
· Different rigs control via Omni-Rig;
· Interface with many popular ham radio programs;
· Built-in module for work using digital modes on MMVARI;
· Work in the contest mode for CW and digital modes;
· Work in the DX-pedition mode;
· Work with the DX-cluster (telnet and www);
· Data lookup from QRZ.com on CD or the hard drive;
· Fast callsign lookup in the log;
· Fast callsign lookup on the Internet;
· Internal callsign database update from Russian Internet Callbook;
· Data import from 425DX NEWS;
· Detailed prefix list (DXCC) with editing feature;
· Ability to fast copy from one log to the other;
· Print QSL cards or labels;
· Log printing;
· QSO confirmation using e-QSL;
· QSO confirmation using LoTW;
· Computer clock synchronization from the Internet;
· World’s beacon system program on short waves.

Data Import/Export :

· Export to the ADIF format;
· Export to the Cabrillo format;
· Export QSOs to the MixW2 log;
· Export QSOs for QSL printing;
· Export QSOs to the DX Atlas;
· Export QSOs to e-QSL;
· Export QSOs to the on-line log;
· Import from ADIF format;
· Import from text file to ADIF format.

Digital modes and CW support:

For digital modes you can use embedded program (MMVARI) or external programs such as TrueTTY, MixW2, MMSSTV and others. As a “digital voice” of your station it is possible to use AAVoice, for keyboard CW typing- CwType, for CW receiving - CwGet.

Using external databases:

UR5EQF LOG allows you to use the information from QRZ CD-ROM and VF-Soft Radio Amateur Callbook, import data into internal database from Russian Internet Callbook, and import information into internal QSL-managers database from 425DX News bulletins.

The newest versions of the software, revised documentation and files with updated list of countries and territories can be found on the author’s Web page http://ur5eqf.narod.ru/index.htm or http://www.cqrivne.com.ua/files.php , new test versions are here - http://www.cqrivne.com.ua/ur5eqf/test/ .

The discussion about this software (in Russian) can be found here - http://forum.qrz.ru/thread12480.html


Registration

 Top Previous Next

If you have an Internet connection, then after program starts the window appears with the request to register as a user. Please register, it's free and has no obligations, it's needed only for the statistical purpose. The author of the program would appreciate your registration.

You can register software on any number of computers but your callsign in the users list will appear only once.

If you don't have an Internet connection you won't see the registration window. But if you wish to be on the list of users please don't hesitate to contact author or Sergey RZ1OM.

How to register:

· Start the log;
· From the menu "Help" select "Registration";
· Enter your callsign;
· Left click on "Registration";

Please check it out on http://www.cqrivne.com.ua/ur5eqf/files/reg/ to see if your callsign appeared in the list of users. If yes than in the future you won't see the registration window and "Registration" line in the menu will be grayed out (inactive).


Main window

Standard log appearance

Main logging screen takes upper part of the window.

If your computer has a small display the built-in world map could occupy a significant portion of the main log's window. You can turn this feature off by unchecking the box "Find on map" or place the map in the separate window.

The main window contains two parts, and for the second part you can choose what information to display - previous contacts, telnet/www.cluster or statistic panel.

You can customize the log's table. Right-click anywhere in the log's table and select in the opened menu "Columns customizing". Left-click on the column header and drag it to the opened window. The same method could be used to put necessary columns back.

You can place columns in any desired order. Left-click on the column header and drag it to the desired location to the right or left. You can change the width of any column and make different setup for different logs, or you can use the same setup for all logs.

Local current time, UTC time and your correspondent time is displayed in the string above the callsign box. The sequential QSO number and total numbers of QSOs in the current log (or total QSOs number selected by filter if filter was applied) is shown in the right lower corner.

Sorting QSO by callsign, date, time, band or mode can be done by clicking on the column header.

On the bottom part of the log window there are tabs for "Log", "Previous contacts", "www DX cluster" and "Telnet DX cluster". Tabs allow fast switching between these options. The tab can be hidden or revealed by selecting appropriate option in menus "Settings" - "Show tabs".

A few more methods to setup log window are described here.

You can select fonts and the background color from menus "Settings" - "Adjusting interface".

Depending of current situation with QSL exchange the appropriate line in the log can have different color, i.e.

purple | QSL received, but not sent
blue | QSL sent, but not received
light-green | QSL received and sent
dark-green | QSL awaiting to be printed
red | QSL do not send (not needed)
yellow | eQSL.cc confirmation
gray | current QSO highlighted
no color | QSL not sent and not received

LoTW confirmation has the same color as of receiving of regular QSL.

Scrolling through the log records can be done by using:

· up-down cursor keys - one record up or down;
· PgUp, PgDn - one page up or down;
· Home, End - to the beginning or end of log.

The mouse's wheel can also be used for scrolling.

To add new record in the log type the callsign, then name, QTH and if necessary correct RST and fill other fields. The order of moving from field to field can also be chosen.

Before you save the record you can choose the status of the QSL by selecting in the field "Your QSL" appropriate sentence. The default is "Not sent".

To save the QSO you can press Alt+S or click on icon [image]. Also, the key "Enter" can be used for this purpose (via menu "Settings", "Program setting", "Assign Enter key" and selecting "For saving current QSO").

The frequency format in the log can be selected from the menu "Settings", "Adjusting a Logbook", "Freq format".

To clear current QSO entries click icon [image] or hit Pause/Break key.

You can add data for any station into the internal callbook. To do that enter the callsign, name, QTH and other desired information, then click icon [image]. QSO will not be recorded in the log but if you enter this callsign again when needed all data will appear automatically in appropriate fields.

The distance, geographic coordinates and azimuth is displayed in the lower portion of the main window. If there is a QTH-locator information entered into field "Grid", all parameters are being calculated using this QTH-locator.

You can have a check mark [image] next to the callsign field to mark previous contacts with the same station. To do that place check mark in the box "Mark this QSO". You can do that also on the editing screen.

There are two types of editing in the log: single QSO editing or batch editing.

The right-click on the list of QSOs in the log brings up the floating menu, designed to improve convenience.

To place mark "QSL received" just right-click on the selected line and choose from the menu "QSL Received". To remove this mark double left-click on the necessary line and in the opened editing window remove check mark "QSL received".

To place QSO in the queue for print, right click on the necessary line and select "QSL Queued".

You can activate the prompt feature from the internal callbook. Then, while entering part of the name or QTH you will be able to select the most appropriate option from suggested variants. To turn this feature ON go to "View", "Internal reference books", "To offer from the book" and place check marks for "Name" and "QTH". You can always turn this feature OFF.

If you have an Internet connection then click on icon [image] to the right of the callsign, the separate window opens and you'll see available information from Q RZ.COM or CQHAM.RU.

If you'd like to have a map, place the check mark in the "Find on map" box and you will see the world map as a globe or two-dimensional projection. You'll see on the map the location of currently entered callsign or the location of the station from the most recent spot on the DX-cluster (if you currently connected to the Telnet DX-cluster.

The QSL-managers database is accessible by clicking the icon [image] next to the "QSL via" field.

Below is the explanation of the purpose of four icons to the right of "Territory" field:

- Shows the map with the location of the current correspondent;

- Opens the window to change the prefix, if it was determined incorrectly;.

- Opens filters window (filters allow to set conditions for selection from the log);

- Opens statistic windows for current station by bands and modes.

Field "Notes" is intended for entering any additional information from your correspondent, such as equipment description, weather condition etc.

Controls for digital audio recorder [image] are located in the upper part of the main window. It can be activated manually or during booting up of your computer.

The icon [image] adjacent to digital audio recorder initiates the local network connection for sharing one log on several computers.


The logbook

Menu "Logbook"

Working with the log:

· Open current log;
· Create new log;
· Logs configuration;
· Update field "State" from internal callbook;
· Verify DXCC from callsign;
· Reindex current log;
· Reindex all tables;
· Clear log (All entries will be deleted!);
· Save log in ADIF format on exit.

Services of eQSL.cc and LoTW:

· Download archive of confirmed QSOs in ADIF-format from eQSL.cc;
· Upload QSOs in ADIF-format to eQSL.cc;
· Download archive of confirmed QSOs in ADIF-format from LoTW;
· Upload QSOs in ADIF-format to LoTW.

Export information from a Logbook to:

· MixW2 log;
· Cabrillo;
· ADIF format, to eQSL.cc or DX Atlas;
· Online logs on the Internet.

Import information into Logbook from:

· ADIF format;
· Text files.

Print:

· Print log sorted by date;
· Print log sorted by callsigns;
· Print QSL;
· Print QSL options;
· Editing queued files for print.

Clear new QSO;

Save QSO;

Edit QSO;

Exit.


Settings

"Settings" menu options

Program settings:

· Use transceiver control:
▪ Omni Rig
▪ None
· Apply mode to transceiver (emission mode);
· Assign "Enter" key:
▪ For work in pile-up mode
▪ For saving current QSO
▪ None
· Keyboard layout:
▪ Cyrillic (Russian)
▪ English
· Proxy settings for Internet access;
· Synchronization of time via the Internet;
· Use language file (to switch to Russian version);
· Decimal point separation: ","

Adjusting Logbook:

· Log sort by:
▪ Date
▪ Callsign
▪ Frequency
▪ Mode
· Frequency format:
▪ 14.122.89
▪ 14.12289
▪ 14.122
▪ 14
▪ 14122.8
· Fields order;
· Distance calculation by QTH-locator;
· Modes list.

Adjusting interface:

· New QSO background;
· New QSO font color;
· Log background;
· Log font;
· Territory font color;
· Last QSO font color;
· Common settings for all Logs;
· Standard interface;
· User interface:
▪ Type 1 / Type 2
▪ Classic interface for type 1
· Use standard interface in Digi mode;

Multi-user

· Multiuser mode;
· Show connections.

Show tabs:

· www DX cluster;
· telnet DX cluster;
· Previous contacts;
· Statistic.

Show in the window of logbook:

· www DX cluster panel;
· telnet DX cluster panel;
· Previous contacts panel;
· Awards panel;
· None;
· Not standard interface;
· And www DX cluster panel;
· And telnet DX cluster panel.

Show in place of world map:

· www DX cluster panel;
· telnet DX cluster panel
· Previous contacts panel;
· Statistic;
· World map.

Show world map in the separate window.

External programs.

Execute program on start:

· HamsCope
· MixW2
· DigiPan
· CwType
· TrueTTY
· MMSSTV
· None


View

"View" menu

Internal reference books:

· Internal reference books;
· Updating callbook from log;
· Updating callbook from RDA.dbf;
· Updating callbook from RIC.dbf;
· Find callbook:
▪ if callsign changed;
▪ after callsign exit.
· Offer from the list:
▪ name;
▪ QTH;
▪ internal reference books.

External databases;

Callbook dialog;

Search callsign in a logbook;

Awards:

· Awards manager:
· Awards manager;
· awards list;
· update statistic.
· Awards submission;

Prefixes:

· Prefix list edit;

SSTV:

· Show SSTV images;
· Show SSTV list.

Omni-Rig:

· Show;
· None.

Waves propagation forecast;

Beacons.


Modules

"Modules" menu

Contest + advanced CW machine

Contest module start and CW Type software for CW work.

PSK31 and.........

Start of built-in module for digital communication - RTTY, PSK, MFSK.


Tools

"Tools" menu

Band Master

Band Master program can be downloaded by clicking on the program name.

S.W. Listening

This is the list of many world's broadcasting stations. Time is shown in UTC. Stations working at the current moment highlighted in blue color.

If your transceiver is connected with the computer via the interface or CAT system, by clicking on the desired frequency in the list transceiver will be switched to that frequency.

Ham Cap

Start of Ham Cap program. You can download it by clicking on the program name.

Configure.

In the "Tools" menu you can setup the path to launch any program, including not related to amateur radio.

· Click "Add" button;
· Select the path to the executable file of the program;
· Enter the name of that program;
· If you need to start program simultaneously with log program, put the check mark in the box "Auto start";
· Click "ОК".

Any of these programs can be launched from the menu, created by user.


"Help (?)"

Disclaimer:

Please remember, that the author is not responsible for problems with your computer and/or loss of data in your log or other applications, so please use this free software on your own risk.

Remember, that the best idea to have all of your data save is to make back-up copies of your log(s) and other information and store them on the different physical media, such as external hard disk drive, DVD, CD, flash-memory and so on.

The help file (hopefully it will be useful) is intended to answer many of your questions and was written for the program version 2.27 (3/12/2008).

This file could be distributed without any limitations.

Any suggestion and comments to improve or correct this file would be greatly appreciated.

"Check for updates" in the Help menu (click on the icon [image] in the opened window) allows to connect via the Internet to the author's Website http://ur5eqf.narod.ru/ to check for changes and download latest version. You can also check these websites http://ur5eqf.narod.ru/index.htm and http://www.cqrivne.com.ua/files.php, beta-versions are here http://www.cqrivne.com.ua/ur5eqf/test/ .

"Registration" - is free on http://www.cqrivne.com.ua/ur5eqf/files/reg/.

All questions, comments, suggestions and additions for the help file please email Sergey Bushkov, RZ1OM on rz1om@yandex.ru.

English translation of the "help" file was made by George Martin, N2HO.


Create new log

You can have several different logs for work from different QTH or for contests. To make a new log, click on the "Logbook", "Operations with logbook", "Create new log".

In the opened window enter your callsign, QTH, name, ITU and CQ zones numbers, Grid locator and your geographic coordinates. If you don't have coordinates, you can find them on the website http://www.qrz.com or enter approximate values. These data are needed to calculate the distance and azimuth to your correspondent.

The field "Description" can be used for the description of your log, for example "My main log", or you can leave it blank.

In the field "Log set" select necessary value.

In the field "Log filename" enter the file name or click on "open file" icon and select the filename from opened window.

If you plan to have several logs and your UR5EQF log program is in the directory (for example) "c:\ur5eqf_log\", you should open in "My computer" this folder (c:\ur5eqf_log\) and in the sub-folder "log" create sub-folders with names of your logs, for instance:

C:\ur5eqf_log\logs\N2HO

C:\ur5eqf_log\logs\N2HO_1

C:\ur5eqf_log\logs\Test

Please pay attention, that "\" or "/" in the name of file cannot be used, if needed, use "_" sign.

Now, you should determine how you're going to count statistic in your logs. If this statistic should be different, you have to pick different "Log set" index for each log. If statistic will be the same, pick the same index for each log. By default indexes names A, B, C, D and general, you can change those names by editing file "asets.dat" (in the main program folder) with any text editor, for example, Notepad.

For example, editing could be done this way:

N2HO

N2HO_1

Test

The statistic for logs "RZ1OM" и "RZ1OM/4" was planning to have the same, and for "RZ1OM/9" и "TEST" - different. Then in the field "Log set" should be used "RZ1OM" for logs "RZ1OM" and "RZ1OM/4", and for RZ1OM/9 and TEST should be used "RZ1OM_9" and "TEST" for each log accordingly.

If you have only one log, you don't need to make all described arrangements, just use default indexes (A, B etc.).

Click "Apply" to finish the job.


Log configuration

In the menu "Logbook", "Operations with Logbook" select "Logs configuration".

Select required log, fill necessary fields in the lower portion of opened window, and save them.

Sometimes you can encounter a situation that you don't need the log created earlier. In this case you can delete it from the list by right-clicking on the selected log, and choosing "Delete log".

The log will be deleted from the list, but the log's database will remain in the folder containing logs, for example "C:\ur5eqf_log\logs\....". You can restore log by setting correct path to its database.

If you don't need the database, it can be manually deleted.


Log opening

In the menu "Logbook", "Operations with a Logbook", "Open log" select necessary log from the list.

Or just simply click in the field with the current log's name in the main window and select necessary log from opened list.


Keyboard switching (Latin/Cyrillic)

Automatic keyboard switching.

From menu "Settings", "Program settings", "Keyboard layout" is possible to switch between Latin (English) or Cyrillic (Russian) keyboard layouts.

The keyboard will always be in Latin setting for entry the callsign, but for name and QTH keyboard layout will be in accordance with selected variant.


Fields editing order

This feature allows to set the order of filling fields using keys "Enter" or "Tab".

For example, you'd like after entering callsign to jump in RST field, then "Name" and "QTH". To set it go to menu "Settings", "Adjusting logbook", "Fields order".

· Place check marks in the opened window only in those boxes, where you want to make entries or changes.
· Grab necessary field name with mouse and drag it to the desired place in the list, up or down.
· Click OK after you finish the job.

Example:

If the key "Enter" was assigned to save the QSO, then the current QSO will be recorded in the log after the cursor returns to the callsign field.


Logging QSO

Under the menu and icons you can see the local time, time in UTC and remote time of the station you’re working with.

If you work in real time (logging the QSO while you are on-the-air) you have to place a check mark in the “Work in real time” box.

In case you’re logging previously made QSOs, you have to remove the check mark from the “Work in real time” check box. The time should be entered as UTC.

If you prefer to use the local time, you should remove the check mark from the “Work in real time” box but check the box “Save in UTC” instead. Your record will be saved with UTC time, and the difference between your local time and the UTC will be calculated automatically.

After typing the callsign press Enter (or Tab, or arrow down key) to jump to the next field. The order of fields is determined by user.

If you have an information about entered callsign in the internal database, then name and QTH (and possibly other information) will be displayed automatically. If you don't have such information in the internal database, then the program takes it from the connected database QRZ.com. If this database is missing then name, QTH and other data has to be entered manually.

While typing the callsign of the station you've had contact(s) before, a string appears at the bottom of the logging window containing the last QSO's data and the number of contacts with the station. The color of the string can be selected from menus "Settings", "Adjusting an interface" and "Last QSO font color". As a default this color is red.

The list of previous contacts with the current station will be displayed in separate window if desired by clicking "Settings" - "Show in the window of Logbook" and selected "Previous contact panel" feature, or clicking the tab "Previous contacts" on the bottom of the screen.

If an exclamation sign appears near the field “QSL via” after entering callsign and the field itself become light-green, it means that there is a QSL information for that callsign, which can be seen and entered by clicking on that exclamation sign [image].

If the exclamation sign appears above the Grid-locator field (the box to the left has to be checked), then the current callsign can be counted towards one of the awards, the list of which can be seen by clicking on that exclamation sign. The field “State” will show the list if in the fields “State” and “Code” was prefix, or field was blank, in the latter case the list will appear for territories falling into possible values criteria.

The field “IOTA” can be filled manually or selected from the list by pressing on the icon [image] .

New DXCC country will be marked with [image] sign to the right of the callsign field.

If there was no previous QSO with this territory on certain band or certain mode then sign [image] appears to the right of appropriate field.

If you enter the callsign containing "/" (for example, UE1EDA/3) the software is not always able to determine exact station location. In this example the program just determines that this station is from European part of Russia (DXCC prefix UA1). In this case if you know the location you can change the territory prefix to correct the program. Click on [image] , select correct "oblast" from the list, then in the field "State" find needed "oblast" by RDA and save the data.


Clear new entry

To clear the information in all fields of the main window just click on the icon [image] . The same result can be achieved by using "Pause/Break" key.


Saving entered QSO

If you wish to save current QSO you can press combination "Alt+S" keys, or click icon [image] in the upper left corner of the main window. All data will be recorded in the log.

The key "Enter" also can be used to save current QSO, it can be achieved by going to "Settings", "Program settings", "Assign the Enter key" and selecting one of three options:

· For work in pile-up. In this case the QSO will be recorded by typing the callsign and hitting the "Enter" key. Entering other information is not required. This is the option specifically designed for DX-pedition work.
· To save current QSO. Here after entering the callsign after every hit on "Enter" cursor will jump to fields, assigned in Fields order window. You can change content in these fields. QSO then will be recorded in the log by pressing "Enter" key after the cursor jumps again in the callsign field.
· None. The "Enter" key will not be used for saving current QSO.

Also, the program has an ability for automatic recording into the log in CW and digital modes of operations at the end of QSO, for this the appropriate macros has to be used for CW and Digi.


Comment field

In the bottom part of the main window (field "Notes") you can enter any additional information, received form your correspondent, such as weather condition, equipment and antennas used etc.

Also, you can enter in this field the information obtained from the search on the Internet.

You will see notes if there will be another QSO with the same station.


Edit a loogbook

Select the line with desired callsign in the log. Double click on this line, or select "Edit" from the "Logbook" menu.

Change necessary data in appropriate fields in the opened window and save QSO, by clicking the button "Apply" and then "Close".


DX-pedition mode

Sometimes during the expedition having large number of calling stations it is necessary to make a waiting list, which could be used to call stations from the list one by one. The program has this feature - this is "Create waiting list". After you enter current callsign click on the icon [image] to the right of callsign field. In the opened window type next callsign or just part of it, then hit the "Space" key. This way you will have whole list recorded.

After you compose the list pressing "Enter" key will bring you to the first record in the list. Automatically you'll have this record in the callsign field (you can edit it there if necessary), then after pressing "Enter" again the QSO record will be saved.

The record automatically disappears after saving QSO from the waiting list and the next record appears in the callsign field etc.

If while working the list the next station doesn't respond for the call the record can be easily deleted by clicking "Delete" at the bottom of the window or by pressing "Pause/Break" key.

When you reach the last record window automatically closes and you can compose the next list.


Working in the local net

The program is able to share one log between several computers, connected to the local network. This creates a very convenient way to work in DX-peditions with multiple operating positions. Saving QSO on any computer in the net will save it on all computers simultaneously. The other advantage of this feature - you always have a back-up of your log on the other computer. Deleting the QSO or group of QSOs removes them from other logs also.

The IP addresses, assigned to the network adapters, should be static, for example 192.168.0.1, 192.168.0.2 and so on, the subnet mask - 255.255.255.0.

Server setup

To work in the net mode run the file "UR5EQF_server.exe" (from the main log's folder). The computer with this program running will work as a server, i.e. will be main computer in the net. You should see a window, divided on three parts: left - "Active connect:", right - "Working Stations:" and bottom one with the information of what is connected:

The window "Active connect:" is intended to show names of computers in the net connected to the server via LAN Client.

To give an access to the certain user in the network to operate with the log click selected computer's name, then click [image]. The computer's name moves from "Active connect:" to the right window "Working Stations:" and assigned user will be able to save QSOs in the shared log. To give the access to all connected users click [image]. The same way can be used to deactivate certain user by highlighting the computer name in the right part of the window and click [image].

Computers setup

On all network computers including server in the menu "Settings", "Multi-User" put check mark by "Multi-User Mode" and "Show connections".

On the server in the window "LAN Client" enter the name "LocalHost" (as shown on the left screen shot below). Don't change the port number "5879".

On the rest of computers in "LAN Client" window enter name and IP-address of server (on the right screen shot above). For example, in our case it'll be "192.168.0.2".

To connect to the server click icon [image]. If the connection is successful you will see the message: "Connectind to (server name or IP-address):5879". "Connected". To disconnect - click again [image] .

Making copies of QSOs in the net.

Lets assume there is a problem with the net and the connection with one or several computers was lost. In this case you could disconnect from the net and continue working saving QSOs in standalone mode. As soon as the problem is going to be repaired you have to copy QSOs into the shared log.

· Highlight the group of QSOs (or all QSO) in the log;
· Right-click on the highlighted area;
· Select in the opened menu "Send to LAN".

These QSOs will be copied in the shared log on all computers, connected to the net and activated on the server in the window "Working Stations".

Try not to copy too many QSOs in the single moment. There is a limitation in the program for approximately up to 1000 QSO per copy, it's required to have stable operations in the network. If you need to copy to other logs large amount of QSOs, use for this purpose function export/import of the file in ADIF format.

Communication in the local net

The program allows to exchange with brief messages through the network in case computers are located in different rooms.

· Type the message in the window, as shown above on the right screen shot.
· Press CTRL + Enter keys or click on the icon [image], and the message will be sent to all users in the net;
· Example of the received message is shown on the left screen shot (above);
· If the box "Automatically to clear the window of message" was checked, then after sending the message will be automatically erased.


Batch QSOs editing

Highlight the group of QSOs in the log. To do that highlight the beginning line, then press and hold "Shift" key and with "up" or "down" arrow keys (cursor control keys) highlight whole group. For large size of the group use PageUp or PageDown keys.

Right-click on the group.

In the opened menu select "Global edit" feature.

In the opened window set necessary values you need to change in all QSOs in the group.

For example, to change band in all selected QSOs place the check mark in the box "Set band", and choose the necessary band from the list. The same way is for editing data in other fields. You could edit simultaneously several fields.

Similarly, you can correct the time in all selected QSOs. Lets assume, that computer's clock was slow or fast, it is possible to set the correction in hours and minutes.

To correct slow clock check the box "+/-", if your clock was fast - remove the check mark.

Place check mark into the box "Set Comment" and you'll be able to write any comments for all selected QSOs. For example, it could be the name of the contest, number by RDA and so on. After you finish each QSO will have this comment in the field "Notes".

Click OK.

The bar below the window shows the completion of editing since the process could be relatively long for large amount of QSOs involved (several minutes).


Copy QSO to another log

Highlight the group of QSOs in the log. To do this highlight the beginning line, then press and hold "Shift" key and with the "up" or "down" arrow keys (cursor control keys) highlight whole group. For large size of the group use PageUp or PageDown keys.

Right-click on the group;

In the opened menu select "Copy to another log" feature.

In this window select the log to copy to and click OK.

On the question "Copy ... records to ... log?" you have to click "Yes";

The bar below the window shows the completion of the process.

After the copy is completed it's a good idea to update statistic for awards in the recipient log.


Sorting the log

The sort feature allows to arrange QSOs in the log by:

· Date and Time (Ctrl+D)
· Band (Ctrl+B)
· Mode (Ctrl+M)
· Callsign

The sort can be done by clicking the header of any column in the log "Callsign", "Date", "Band", "Mode".


View previous contacts

You will see the list of previous contacts with current station if the callsign was entered:

For your convenience this window can be combined with the main one and you can simultaneously see current and previous contacts.

In this window is possible to edit contacts, make copies to another log, create queue for print, mark QSL as "received".

Detailed information about different window options is here.


Saving log in ADIF (back-up)

Archiving whole log every time while exiting the program could take significant time if you have a large amount of contacts in the log.

You can save a file with all contact records starting from the first day of the current month up to current date (of this month). To do this open the menu "Logbook", "Operations with a logbook" and place a check mark in the box "Save in ADIF on exit". Now every time you exit the program it'll produce the message asking to save all contacts for the current month.

The file name consist from the date of the beginning of the month and current date, for example "From_2007Aug01_to_2007Aug20_RZ1OM.adi".

In general, we recommend to make a back-up copy of all logs in ADIF format or just copy whole folder with log program to different physical media (flash memory, CD, DVD etc.) at regular intervals, not less than once a month but preferably every day.


Deleting entries

To delete one or several entries in the log highlight them, right-click on the highlighted area and select from the opened menu "Delete record" or press "Delete" key on the keyboard. You will have a prompt before any actions. If you click "Yes", selected record(s) will be deleted.

Remember! Deleted records cannot be restored!


Delete log (all entries)

Deleting whole entries of the log can be useful feature to remove a temporary records, for example, contest log or DX-pedition log. It should be used after copying records to the other log and then "empty" log can be used again in different expedition or contest.

Open the menu "Logbook", "Operations with a logbook", "Clear log". You will see the prompt "Clear log...?"

Attention!!! If you press "Yes" all contacts in the log will be deleted and cannot be restored!

You can delete log in the opened window "Log configuration" from the menu "Logbook", "Operations with a logbook", "Log configuration" by right-clicking on the log's name.


Maps

World map

By default after an installation of the program the world map is shown in the standard main window of the log. It can be seen as a globe or flat projection.

Placing the check mark in the box "Gray line" allows you to see a band around the Earth that separates daylight from darkness.

If you have a small display, then the map can be removed by removing check mark in the box "Find on map" next to the "Name" field. Instead, you can have there the cluster spots or previous contacts.

You can have a globe in the separate window, and move it to any place on the screen. Zoom also could be used. The country of the station will be shown on the globe during the callsign entry or any spot announcing in the telnet cluster.

Maps of countries and territories

There is a possibility to have the map of a country or territory of your current contact in the separate window. To do that you have to download file from http://www.dxlabsuite.com/dxview/CountryMaps.exe, unpack file and place in the folder "\Maps" of your log's directory (for example, C:\ur5eqf_log\Maps\).

Enter your contact's callsign and click [image] . In the main window under line "Azimuth" you'll see the window with the map.

For example, for VP2E:

There are maps for most countries and territories, but, unfortunately, not for everything.

You can make maps by yourself by just finding appropriate files and add them to the same folder. The file "DXCC.txt" is in the same folder also, and can be edited with any text editor.

The name of territory map file has to have a DXCC territory prefix, for instance: 1s.gif (Spratly Isl. - prefix 1S).

Below is the structure of the DXCC.txt:

1A=1A Sovereign Military Order Of Malta

1S=1S Spratly Island

3A=3A Monaco

3B6=3B8 St. Brandon Islands

3B8=3B8 Mauritius Island

etc.

If files names are different, for example 3b6.gif and 3b8.gif, but point to the same territory 3B8, then during entering callsigns for 3B6 or 3B8 only 3B8 map will be open since DXCC territory prefix is 3B8.


Propagation forecast

"View" menu, "Wave propagation forecast".

In the opened window click icon [image] (c omputer has to be connected to the Internet).

The graph allows to make approximate propagation forecast for the current moment:

Sun activity: W is the sunspot number (Wolf number), F10.7 - solar flux index which is measured by detecting the level of radio noise emitted at a frequency of 2800 MHz (10.7 cms).

Apart from the solar flux, another important influence on the ionosphere is the level of geomagnetic activity. While the geomagnetic activity is a measure of the state of the Earth's magnetic field, this in turn is influenced by the Sun. To indicate the state of Geomagnetic activity, there are two indices that are used that are related to each other:

* K index

* a Index

Although different, both these indices give indications of the severity of magnetic fluctuations, and hence the level of disturbance to the ionosphere.

K Index: The K index is a three hourly measurement of the variation of the Earth's magnetic field compared to what are "quiet day" conditions. The measurement is made using a magnetometer. This indicates the variation of the magnetic flux in nanoTeslas. This reading is then converted to the K index. The relationship is quasi-logarithmic, i.e. an almost directly proportional on a logarithmic scale..

The K index is measured at many different places around the world. The magnetic field varies around the globe and accordingly a different value for K is created at each measurement station. Owing to the fact that the magnetic field varies in different ways around the globe dependent upon the way in which the magnetosphere is affected, it is not possible to have a simple relationship between one station and a global K index. Instead the individual K indices are averaged around the globe to give what is termed the Kp or planetary K index.

Kp Index: The planetary or Kp index has values that range between 0 and 9. The values of the index give a good indication of geomagnetic activity: values between 0 and 1 indicate quiet magnetic conditions and would give rise to virtually no degradation in HF band conditions. Values between 2 and 4 provide an indication of unsettled magnetic conditions that indicate the possibility of some degradation on the HF bands. A value of 5 signifies a minor storm and 6 a larger one. Values through to 9 indicate steadily worsening conditions with 9 representing a major storm that is likely to result in a blackout in HF ionospheric propagation for several hours.

A Index; The A index is a linear measure of the Earth's field. As a result of this, its values extend over a much wider range. It is derived from the K index by scaling it to give a linear value which is termed the "a" index. This is then averaged over the period of a day to give the A index. Like the K index, values are averaged around the globe to give the planetary Ap index.

Values for the A index range up to 100 during a storm and may rise as far as 400 in a severe geomagnetic storm.

Geomagnetic and ionospheric storms are very closely related, but they are separate effects. Geomagnetic storms relate to disturbances of the Earth's magnetic field, and ionospheric storms relate to disturbances of the ionosphere. However it is found that geomagnetic storms often lead to ionospheric ones, but not on every occasion.


Beacons

Маяки

NCDXF in cooperation with IARU created the world net ob beacons on 14.100, 18.110, 21.150, 24.930, and 28.200 MHz. These beacons help both amateur and commercial high-frequency radio users assess the current condition of the ionosphere.

In general, one can simply listen on the beacon frequencies and copy the CW callsigns of the various beacons to figure out where the band is open.

Because all beacons transmit at known times, it is easy to identify the beacon without actually copying the CW callsign.

Each beacon transmits every three minutes, day and night and is running one hundred watts to a vertical. A transmission consists of the callsign of the beacon sent at 22 words per minute followed by four one-second dashes. The callsign and the first dash are sent at 100 watts. The remaining dashes are sent at 10 watts, 1 watt and 100 milliwatts. Then another beacon starts transmission.

NCDXF/IARU Beacon Transmission Schedule

(copied from http://www.ncdxf.org/Beacon/BeaconSchedule.html):

Notes:

1 - Operation may be intermittent due to local conditions.

2 - Moving to a new location.

3 - The transmitter is stuck on 20 meters. Repairs are underway.

4 - Off for unknown reasons. We are attempting to contact the operators.

5 - Off due to hardware problems. Repairs are underway.

6 - Operation will be intermittent due to civil unrest in Kenya.

7 - Off due to direct lightning strike. New antenna on order.

Time of transmission is very accurate and synchronized to a source of standard time such as the services offered by the NRC in Canada and NIST and USNO in the USA.

You can synchronize clock in your computer with the reference clock but your computer has to have connection to the Internet.

To do that place check mark in the box "Synchronization of time" (menu "Settings", "Program settings", "Synchronization of time").

There is a whole list of servers, select necessary name and click "Test" button. If server works and accessible you'll see green check mark to the left of the address. Otherwise, you'll see a red X sign.


Callsign search in the log

Callsign search

To search, go to menu "View", "Search callsign in a Logbook" (or press ALT + F instead). You can search for a partial callsign (pattern) or you can search for only the whole unique callsign.

There are two types of wildcard characters which could be used here for search.

Underscore ( _ ) replaces any single character. For example, b_t will return words "bat" or "bit".

The percent sign (%) replaces zero or more characters (virtually anything).

For example, %p%t could return words "put", "post", or "opt", that is:

- %p will return words ending with letter "p".

- %p% will return words containing letter "p".

- p% will return words beginning with letter "p".

Enter the pattern for the search in the field "callsign". The boxes from both sides (if checked) automatically insert the wildcard characters "%" before or after entered pattern.

If you don't check these boxes, the search will be performed to find unique pattern (callsign) only. Example for VP6DI:

If you need to find any callsign containing a certain pattern (for example, "DX"), you have to check the box to the right of field "Callsign" (or both boxes), and the search will find any callsign containing this pattern:

Below is an example of use of "_" wildcard character (again, it replaces any single character):

As you could see, the search implemented in the log's software is a very powerful tool.


Search for previous contacts

· Enter the callsign into the field "Callsign" of the main window;
· Pick the tab "Previous contacts" at the bottom of the window;
· All contacts made earlier with this station will be shown in the previous contacts window even if the station was working from another QTH (callsign has a "/" sign);
· For convenience you can divide whole window on two parts and have previous contacts in additional window;
· The search for previous contacts could be performed using filter;


On-line search

If your computer is connected to the Internet the software allows fast information retrieving from online databases QRZ.COM and Russian Internet Callbook.

After entering the callsign click icon [image] to the right of callsign field.

To enter all data from opened window to the log just simply click "Copy All" button.

If your contact has a website and the address is shown, by clicking on the "Open URL" the website will be automatically open.

You will copy all data into the field "Notes" by clicking the button "Copy to comments".


Internal database search

Menu "View", "Internal reference books".

Every time you save QSO in the log the information is recorded into internal reference callbook. You can import data in internal reference callbook from other logs or from databases RIC, RDA and URDA, or enter information manually.

When you enter the callsign of your current contact program takes the information from this reference book. If there is no data there then program retrieves the information from QRZ.com if it's connected.

You can find and edit callsign, name, QTH and other information in the internal reference book, and also enter data for the new callsign.


QRZ.com (search on CD-ROM or hard drive)

If you have a QRZ.COM on CD-ROM or hard drive, then you can enter the callsign, press "Search" and get the information about that particular station if there are data in this database.


QSL-info search

In the main window click icon [image] to the right of "QSL via" field. In the opened window enter the callsign:

To place the QSL manager's callsign into the "QSL via" field, double click on the line with the information of the callsign you're searching for.


Using filters

Click the icon [image] in the main window (below the word "Longitude"). You'll see the filter's window which is intended to help with finding and sorting needed contacts.

It is possible to do the search using many parameters simultaneously.

· Check the proper boxes.
· Enter or select needed parameters.
· Press"Filter ON".

In the main log's window you'll get all QSOs which met the filter's requirements.

If the box "Amount of unique records" was checked, the number of unique callsigns will be shown in this field (without taking into consideration multiple contacts with the same station).

You can check the box "Contacts with the same callsign" and enter any integer number (between 1 and 20). After clicking "Filter On" you'll get in the main log's window all QSOs with callsigns repeated in the log required number of times.

You can use wildcard symbols in the search. There are two types of wildcards which could be used here:

Underscore ( _ ) replaces any single character. For example, b_t will return words "bat" or "bit".

The percent sign (%) replaces zero or more characters (virtually anything).

For example, "%p%t" could return words "put", "post", or "opt", that is:

- %p will return words ending with letter "p".

- %p% will return words containing letter "p".

- p% will return words beginning with letter "p".

Lets say, it is necessary to find in the log all contacts with Japanese hams from the 1st region which have characters in the callsign "J" and "1". Check the box "DXCC" and select "JA" in order to sort out other prefixes (like JT, JW, JD etc). Check the box "Callsign mask", type in "J_1%" or "J%1%" and press "Filter ON". You'll end up with required list:


Setting DX-cluster

Before you're going to use the cluster it is necessary to set a certain parameters in the cluster window.

There are two ways to obtain a telnet Internet connection with UR5EQF log, for sending and receiving DX cluster information. You may use a www DX cluster and set it up to exchange spots with UR5EQF log. Or, you may configure UR5EQF log for a direct Internet telnet connection to any web-based cluster network.

The use of www DX cluster connection is preferable for users who is connected to the Internet via dial-up phone connection. This way you download information from the cluster for the last several minutes and disconnect from the Internet. This is not very convenient since you receive the information with some delay.

Telnet DX cluster in the contrary is preferable for users with a direct Internet connection since their computers are constantly connected to the Internet via cable or DSL connection.

You can select for which bands and modes you wish to receive spots by checking appropriate boxes as shown below:

In order to login to the cluster enter your callsign in the "Login" field (and, if required, a password in the field "Password").Then the login will be performed automatically by clicking icon [image] in the telnet DX cluster or icon [image] in the www DX cluster windows.

On the tab "Freq map" there is a table with the data for the transceiver control, which requires established interface between the log's software and the transceiver. The left-click on the selected spot changes the mode depending on the frequency distribution for the amateur bands.

Left-click on the icon [image] edits the mode which the transceiver will use depending on selected frequency of the spot in the cluster.

This example above is for the 7 MHz band and SSB mode shows "Start freq" = 7040, "End freq" = 7200 and mode LSB. In case of a spot coming with the information that the station is working on the frequency of 7195.5 KHz the transceiver will switch to the LSB mode and the frequency of 7195.5 KHz.

Spots sorting in the cluster window

Click DX tab. Now you can sort spots by clicking the header of any column in the cluster. Also, they could be sorted by groups. Below is an example of sorting by DX callsigns:

· click icon [image].
· click DX header and drag it above in the grey field.

This way you can group the spots by any column. To see grouped spots click "+" sign at the beginning of the row. Sign "-" closes the grouped spots.

You can drag, drop and change the place of any columns in the spot table.

Spots "delay" in the cluster window (DX tab is active).

Sometimes there is a need to review previous information by moving up the list of spots. But when the new spot comes the cursor automatically jumps to the line with new spot from the line you'd like to read.

Check the box "Pause" and it will break temporary spot stream to move freely to previous lines. New coming spots stay in the memory and will be seen by removing check mark from the box "Pause".


Setting WWW-cluster

Your computer has to be connected to the Internet and a certain parameters for the Internet connection has to be setup in the log.

To get the last spots from the www DX cluster click the icon [image] . You'll get the menu for downloading spots:

You can set a desirable interval and if "Auto download spots" was selected you'll have spots updating periodically at the end of selected interval. Checking "Download spots now" activates download immediately.

If your transceiver is connected to the computer, you can jump to the DX frequency by double click on the selected spot.

Click icon [image] to send the spot via www DX cluster and fill out fields in the window :

After you press OK this spot will be sent to the network and will be accessible to everyone connected to the cluster.


Direct Internet Telnet

Your computer has to have an Internet connection and proper parameters have to be set.

To connect to the Telnet cluster select the Telnet DX cluster tab and click icon [image] .

The screenshot below shows the telnet connection through the node AA2MF. The data about nodes are in the file "nodelist.dat" which could be edited with any text editor (if needed).

There are tabs on the top of the telnet window: "DX" displays spots, "WWV" shows propagation related data, "Ann" is for announcements for all users, "Talk" is for messages for you personally, "Telnet setup" - to setup necessary parameters for telnet connection.

DX tab works similar to the main telnet window but shows only spots as per cluster settings made before. It helps to reduce unnecessary information.

If your computer is connected with the transceiver, double click on the spot and the transceiver tunes to the DX frequency immediately.

The tab "Setup Telnet" is to enter the information which will be sent by default with every spot you'd like to send. It's useful for contest work since requires much less time to send the spot.

DX Telnet - How to send spot

· In the callsign field (main window) enter the callsign;
· In the Telnet cluster window click icon [image].
· In the opened menu select "Send spot telnet" or "Send spot telnet (not dialog)"
· If you select "Send spot telnet (not dialog)" the spot will be sent immediately.
· If you select "Send spot telnet" - then window opens:

This window allows to enter correct frequency and additional information, for example, about QSL-manager, QTH or name. As soon as you hit the Enter or click "Send" the spot will be sent and you'll see your spot in the cluster window.

.

Fast spot sending

In the callsign field (main window) enter the callsign and hit CTRL + ALT + ENTER. The spot will be sent with the information from "Enabled Spot Info" field on the tab "Setup Telnet".


Sending spots to cluster

How to send spots to www DX cluster is described here.

It's more convenient to send spots via telnet DX cluster.


Sending messages

Sometimes you want to send a message to somebody connected to the cluster network.

You could send message in a form of a spot, but it'll be visible for everyone and it's not a good idea to litter DX cluster with private information. So, there is a possibility to send a message privately, only for certain person.

You need to know to what node your contact is connected. If he is on the same node as you, do the following:

The simpliest method - press keys Alt+T.

(Or click icon [image] in the telnet DX cluster window and in the opened menu select "Send command Telnet")

The following window is going to open:

Type "t" or "talk" in the "Command" line, then space and the callsign of your correspondent.

In the message line type all your information and click "Send" or hit "Enter" - it'll be sent.

If your correspondent also uses UR5EQF LOG software then received information will appear in the bottom line in the main window. This feature allows to see the message even if you're not watching the cluster window.

All received private messages are stored on the "Private" tab in the cluster window and accessible at any time before exiting the log.


DX-cluster help

How to work with DX cluster.

The extensive information of how to work with DX cluster can be found at:

http://www.ab5k.net/ArcDocs/UserManual/ArcUserManual.htm


Main menu

Digital communications

UR5EQF log uses built-in MMVARI core which is a multi-mode sound card amateur radio program for receiving and transmitting in the RTTY-PSK-FSK-MFSK modes. You can start this program from the menus "Modules", "PSK31 and..."

The main menu is located on the upper part of the screen.

Just above the receiving window is the line with the last record from the log. This is a simple convenience to confirm that the last QSO was logged already. Double click on this line enters data into log's main window and you could correct them if needed.

The window in the center is divided by the waterfall on two parts. The upper part is receiving window, the bottom one - transmitting.

The signal strength indicator is on the right side of the receiving window. Moving yellow line up or down allows to set the noise suppressing level in a way to cut off industrial and atmospheric interference and avoid appearance of erroneous symbols in the window.

Macros buttons are located in the bottom part of the screen. The color of font and macros buttons is selectable.

The lowest line shows audio frequency for receiving and transmitting, the level of the received signal, the mode, AFC and NET.

To select mode just click on mode field to the left from an automatic frequency correction (AFC).


Mode selection

In this menu you can pick the desired mode out of: GMSK, FSK, FSK-W, BPSK-J, BPSK, RTTY-L, RTTY-U, MFSK-L, MFSK-U.

The mode could be changed also by the method described here.

The speed of the data exchange in digital modes can be set in the field "Speed". For example, in order to receive or transmit using mode BPSK63 or BPSK125 pick mode BPSK and in the box "Speed" select 62.5 or 125 accordingly.

Below you could see settings for BPSK125:


Configuration menu

In this menu different adjustments could be made for digital modes.

Sound card adjustments

Check "Activate sound card" in order to adjust the sound card parameters, select receive/transmit channel and set their levels.

If you want to use external programs, such as MixW2, then uncheck this option.

If you have in the settings for "Omni-Rig" Icom transceiver, then you'll have an access to item 6. Set in this field ID for the transceiver. For Icom IC-718 (as an example) ID=5E.

For Icom transceivers:

· The control 5 is for setting of the output power in CW and SSB;
· The control 2 сis for setting of the output power for digital modes.

There is one particularity for digital modes:

The lower the output power is - the lower level from the sound card suppose to be set.

To adjust that:

· Connect a dummy load to the antenna output of your transceiver;
· Set control 2 to the maximum;
· With the control 1 set necessary level. The ALC level has to be equal 0;
· Check the box "Enabled save (only Icom)";
· Press button 3 - you memorized the level for maximum power;
· With control 2 set minimum power;
· With control 1 set necessary level. ALC level has to be equal 0;
· Check the box "Enabled save (only Icom)";
· Press button 4 - you memorized the level for minimum power.

Now during the adjustment of the power control the level from the sound card will be proportionally changing.

If you start the program it sets controls for sound card according to setup described above.

In order to have a good quality signal in digital modes it's highly desirable to calibrate your sound card, which could be done with different methods and different software, for transmitting and receiving. One approach to this is described in the "Sound card settings" section of this manual.

Then in the field "Sample Freq" put corrections which were derived after the sound card calibration. Now, when you tuned to the station's frequency and calling this station transmitting and receiving frequencies will coincide.

Contest mode

Click "Contest setup" in "Configure" menu and check the box "Contest mode".

If the sequence number for each mode is separate uncheck box "All", otherwise leave it checked.

If by the contest rules the switching to another mode or band should be done not earlier than after certain time, put this time value in minutes in the appropriate field(s).

Press ОК.

To exit from contest mode call this window, remove check mark from the box "Contest mode" and press OK.

Adjusting PTT

If you use for control of your transceiver the Omni-Rig program, then you could select PTT switching via the settings of this program.

Select the proper port number if you use a homemade interface for PTT which works via COM port . It is possible that you'll need to perform RTS and DTR signals adjustments. LPT port also could be used to switch PTT.

It is possible to change the font size in the receiving window, and choose the color to highlight callsigns (new DXCC country, new prefix, new callsign).

It is possible to change the image by clicking [image]. The image size should be approximately 320х190 pixels to fit it into the window.

The line "Auto CQ delay" is for setting time in seconds which sets delay between receiving and transmitting for macro command <AUTOCQ>. After the time expires macro command <AUTOCQ> switches program automatically into the transmitting mode.

If the box "Save to RXlog" was checked all receiving and transmitting information is writing into the text file which is located in the folder C:\UR5EQF_LOG\Rxlog. The file name's format is "RxLog24092006.log", where digits mean day/month/year. If you use the program during the same day again the new information is adding to this file.

These records are useful sometimes in contests and during regular work. The time accuracy is up to the second. The file can be edited with any text editor. No longer needed files could be deleted.


Options

To tune the output stage of your amplifier or transmitter in the menu "Options" you can turn tone signal "ON" to transmit.

The same effect gives button [image] (transmitter tuning) and [image] (end of tuning).


Displays

View menu in digital module

Waterfall

This option is for the waterfall setting.

Amplitude of the FFT display (Db)

Switching waterfall display to show amplitude.

Waterfall AGC

Frequency scale

The representation of the frequency on the waterfall is in Hz (for audio tone) or kHz (transmission).

Show a control panel

Turning ON/OFF the control panel with filters.

Show the panel of additional macros

If you need the additional macros, open this panel above receiving window.

World map monitoring

Turning ON/OFF the world map on the right side of the transmitting window.


Macros creation

Before you start to work in the air create a few macros.

The macro here is the sequence of commands executed one after another. Macro can contain text and data. For example, one of macros:

<CLEARRWINDOW><TX>

CQ CQ de <MYCALL> <MYCALL> CQ CQ de <MYCALL> <MYCALL> pse K <RX>

This macros automatically clears receiving window, transmits the information and switches the transceiver back to receive mode.

To create or edit existing macro right-click on the selected button in the bottom section of the window (the button CQ DX was selected just for example):

In the little window next to "Text" enter the title for the macro. You can change color and/or font pressing on the icon [image].

The list of macros is in the right window. Double click on selected command will send it to the editing window (left side). Then type in necessary text and save the macro by clicking "OK".

If you click this macro the sequence of command and text message will be sent to the transmitting window.

Here is the list of accessible commands:

<TX> | to transmit
<RX> | to receive
<SAVEQSO> | to save QSO in the log
<AUTOCQ> | authomatic CQ with selected pause intervals in seconds
<NETon> | the "NET"mode is ON, the receive mark on the waterfall display will move simultaneously with transmit mark
<NEToff> | the "NET"mode is OFF, i.e. the receive mark on the waterfall display will move independently from the transmit mark, which gives the convenience to have up to several hundreds hertz difference between receiving and transmitting frequencies.
<CALL> | the callsign of your correspondent
<RSTR> | received report
<RSTS> | transmitted report
<NAME> | the name of correspondent
<QTH> | QTH of correspondent
<MYCALL> | your callsign
<MYNAME> | your name
<MYQTH> | your QTH
<MYWWLOC> | your GRID-locator
<GAL> | greetings (good afternoon, goog morning etc.)
<GA> | greetings (GA, GM, GE etc.)
<AZ> | azimuth to your correspondent
<DIST> | distance to your correspondent
<VER> | the log's software version
<QSLvia> | QSL information
<MODE> | mode (CW, SSB, BPSK etc.)
<LASTQSO> | the date of last QSO with current correspondent
<CW:text> | transmitting with CW
<CR> | carriage return
<LF> | empty line
<FREQ> | transmit frequency
<DATE> | the current date
<TIME> | the current time UTC
<LOCALTIME> | local time
<CTIME> | time format for the contest
<CLEARRWINDOW> | clear receiving window
<CLEARTWINDOW> | clear transmitting window
<QUEUED> | organize queue for print QSls


Receiving

Lets assume that all adjustments in the main menu of the digital module were completed, all macros was written and you've established the connection with your transceiver, selected necessary levels in AFSK mode and the mode was selected also.

To receive the desired signal tune to its frequency by marks on the waterfall. For the coarse tuning the left click on the receiving signal is enough. The waterfall image for different modes looks like the following:

for RTTY

for PSK, GMSK

for MFSK

If there is a lot of erroneous symbols in the receiving window it most likely means that you have to tune to the station frequency more accurate or the frequency is not very stable. In the case like this try to turn "ON" AFC.

The accuracy of tuning can be verified with indicator, located just above the waterfall in the left side of the receiving window.

tuning needed | tuning is satisfactory | exact tuning

The signal level for receive and transmit can be monitored by indicator on the right side of the receiving window.

· Green - normal level,

· Yellow - the level is strong,

· Red - overloading (the signal level is too high causing distortions, it is necessary to adjust levels with the computer's sound card controls).

The line on indicator is the level of noise suppressor. If you move the line up or down the level will be adjusted in a way that without the signal erroneous symbols created by atmospheric and industrial sources would not be registered in the receiving window.

If the scale of the waterfall was set to be equal to the whole bandwidth of the filter (2.4-2.8 kHz) it could make exact tuning difficult. Better idea would be to make the scale narrower (1kHZ or even 500 Hz) and then it'll be much easier to tune to the desired station. It's especially importanf for MFSK mode where frequency stability is vital. Even a few hertz drift would stop receiving completely.

Below is a selection of different available software filters, which can be used to reduce QRM:


Transmitting

To transmit the information type the text in the transmitting window and click TX button.

If you click this button again the program switches back to receive mode but only after all text was transmitted.

To immediately stop transmitting click the button TXOFF or hit ESC key on the keyboard. This clears also the transmitting window.

Macro commands are very useful in order to reduce the typing during regular QSO.

It is necessary to remember that in the AFSK mode better to transmit above 1500 Hz (better closer to 2000 Hz) on the waterfall scale since the second harmonic of this frequency will be far above the cutoff frequency of the filter and will not be transmitted. Sometimes you could see this "garbage" from incorrectly composed or tuned AFSK signals.

If you work on "CQ" it would be a good idea to keep the transmitting frequency constant, for that "NET" button has to be in "OFF" position and transmitting/receiving marks have to be on the same frequency.

If your correspondent calls you slightly above or below your frequency, turn ON AFC and the program automatically tunes to his/her signal, you'll see the information on the screen but your transmitting frequency will not change and your correspondent doesn't have to "hunt" for your signal.

For example, below is shown a variant of work in RTTY where the difference between transmitting and receiving frequency is equal 15 Hz. The waterfall scale was 500 Hz.

If case you search for contacts better idea would be to shut "OFF" AFC and to turn "ON" NET. In this case transmitting and receiving frequencies will be equal. After coarse tuning you can turn "ON" AFC for a short time and after finishing fine tuning turn "OFF" NET. Enter the station's callsign in the log and work with it.


Module setting

Open the menu "Configure", "Contest setup" in the D igital communication module.

· Check the box "Contest Mode";
· Check the box "All mode number" if there should be common number for all modes or don't check this box if the number will be separate for each of modes;
· Set the timing interval in minutes in the proper fields if the contest rules limit the change of band or mode;
· Save changes.

· Click the icon [image] and select the name of the contest;
· Click the icon [image] and one more time check the contest rules;
· Click the tab "Exchange" and enter necessary data for control numbers exchange in accordance with the rules;
· Save changes and close this window;
· In the window of the digital module next to the field "NR" click the icon [image] and edit macro command for this contest - for transmitting control number.
· Near the field "Save to log" click the icon [image] and edit macro command for this contest - control number for the log for saving QSO.


Calling CQ

Work on "CQ" can be done with the help of function keys F1-F4, which could be programmed for a certain command sequence.

Also, 6 additional macros buttons can be used with keys CTRL+ (F1-F6) along with the separate macros panel in the upper part above receiving window.

· F1 will transmit CQ, for example:

CQ RZ1OM RZ1OM TEST

· Say, somebody is calling you. If you didn't have QSO with that station, this callsign from the receiving window automatically jumps to the main window into the callsign field.

· F2 will transmit the callsign of your correspondent and report from the macro in the field "NR". For example:

UA3MQM 599 008 599 008 UA3MQM

· If you've already had QSO with this station then the callsign field will be highlighted green. After pressing F4 the following information will be sent:

UA3MQM SRI QSO BEFORE

QRZ? DE RZ1OM RZ1OM CQ

· To enter the control number of the correspondent you need to double click on this number in the receiving window and from the opened list select "Put in the number". The RST will be entered automatically.

· To end the QSO press F3. The information from this macro will be transmitted, for example:

UA3MQM QSL TU DE RZ1OM CQ

· If the macro was programmed to save QSO it'll be automatically saved in the current log. Otherwise you can save QSO by pressing keys"ALT+S" or clicking the icon [image].


Search for a station

"Hunting" or tuning across the band in search of a particular station can be performed with function keys F5-F8, programmed for a certain sequence of commands.

Also, 6 additional buttons with macros, accessible with CTRL+ (F1-F6) can be used, along with the panel of macros in the upper portion of the screen above receiving window.

· Lets assume you tune to the frequency of the station. If you didn't have QSO with this station before then its callsign automatically jumps into entry field of the main window.

· After you press F5 your callsign will be transmitted, for example:

RZ1OM RZ1OM

· The station heard you and sends his/her control number. To record it double click on the number in the receiving window, then from the opened list select "Put in the number". The RST will be entered automatically.

· If you couldn't receive the control number from the first time, press F8 and the request will be sent, for example:

UA3MQM UR NR? NR? AGN AGN

· After recording of the correspondent's control number you have to send him/her your control number. Press F6 and the number will be sent, for example:

UA3MQM QSL 599 004 599 004 DE RZ1OM

· After you have a confirmation, finish the QSO by pressing "ALT+S" or click the icon [image].


Contest-module + CW typing

This module is intended for use in CW and SSB contests.

Before to run this module create separate log for this test or open the one created earlier which should be cleared from previous QSOs.

To work in CW contest you have to install and adjust CWType program.

Contest module runs from the menu "Modules", "Contest + Advanced CW machine" simultaneously with the program CW Type.

· Type your callsign in the field "Your call" for the contest;
· Enter in the field "Contest call" short name of the contest or just leave "Test";
· Click icon [image] and select contest from the list;
· Click icon [image] and check the rules of the contest in the opened window:

· Click tab "Exchange" and enter necessary data for control numbers exchange in accordance with the rules of contest;

· Save changes and close the window;
· Make sure that in the contest module window the date, time (UTC) and the difference between local time and UTC were set correctly;
· To the right of RST field enter the transmitting control number. If only sequential QSO number is required, it'll be automatically increased by 1 after saving current QSO in the current contest log.

If the contest rules permit work both CW and SSB, then the mode in the log is changing automatically in accordance with the transceiver setting or with the spot mode received from the cluster.

Usually work in the contest (which can be done by CQ or station search) is performed by typing the callsign, control number and pressing "Enter". All QSOs are getting recorded in the current log by using macros's sequences.

The multipliers calculation in the contest module is not operational and will be implemented in the future version of the program.


Calling CQ

· To work on CQ check boxes "CQ/Find" and "CW" in the window of the contest module;
· The cursor has to be in the callsign field;
· Press "Enter" key and the macros from F1 will go, for example:

СQ RZ1OM RZ1OM TEST

· After transmission ends the transceiver will switch to the receiving mode. If there was no answer, press "Enter" again for CQ;
· Say, somebody is calling you. Type his callsign in the field "Callsign" and press "Enter". The macros assigned for F2 will go, for example:

UA3MQM 599 001

· Cursor then moves to the control number field;
· Type the control number copied from your correspondent and press "Enter". Macros from F3 will go, for example:

QSL TU

· The QSO's recording in the log automatically.
· If you didn't copy the control number and the control number field is blank, then after pressing "Enter" macros from F2 is transmitting again.
· It's possible to program one of function keys (for example, F8) with macros NR? AGN (to repeat the number). Pressing F8 will initiate the transmission of this macros.
· If you've already had the QSO with this correspondent earlier then pressing "Enter" key will initiate macros transmission from F4, for example:

UA3MQM QSO B4 de RZ1OM


Search for a station

· Remove a check mark from the box "CQ/Find" in the contest module window and leave checked "CW" box, this causes some changes in buttons and macros's;
· Set the cursor into the field "Callsign";
· Type the callsign of the station you're want to call and press "Enter". It'll initiate the transmission of macros in the F1, for example:

RZ1OM

· The cursor automatically moves to the control number field. If the correspondent didn't respond to your call then after pressing "Enter" key macros from F1 will go again.
· If the correspondent responded and send the control number, type this number and press "Enter". In this case the control number written in macros F2 will be sent, for example:

RZ1OM 599 005

· You can program on one of function keys (F7, for example) a separate macros with repeat of your control number. Then, if your correspondent didn't copy the number, press F7 and the number will be sent again:

599 005

· After your correspondent received your number and signed off press "Enter" and the QSO will be logged in.


Work in SSB contest

It is necessary to create a separate log before contest module will be used for this test or open the existing log which should be cleared from previous QSOs.

Contest module runs from the menu "Modules", "Contest + Advanced CW machine" simultaneously with the program CW Type. But for SSB the CW module will not be used.

Remove the check mark from the box "CW". The settings for SSB contest are the same as for CW contest.

If the contest rules permit work both CW and SSB, then the mode in the log is changing automatically in accordance with the transceiver setting or with the spot mode received from the cluster.


Contest list

Window with the contests rules can be opened from menus "Modules", "Contests + Advanced CW machine" and by clicking icon [image] .

The same window can be opened from menus "Modules", "PSK31 and ....", "Configure", "Contest setup", check box "Contest mode", click OK. In the digital modes window click icon [image] next to the field with contest name .

Addition of new contest in the list

· Go to menus "Modules", "Contests + Advanced CW machine";
· Next to the field with the contest name click [image] ;
· Next to the field with the contest name click icon [image] with green "+";
· Answer "Yes" on the question "Add new rules";
· Enter the contest name;
· On the tab "Exchange" select the control number format;
· On the tab "Rules" enter information about the contest from any source (can be copied);
· Save changes.


From the log

The information (about the callsign, name and the QTH) will be recorded in the internal callbook (internal reference book) when you save QSO in the log.

You can have an unlimited number of logs in the program, but the internal reference book will be the only one for all logs.

When entering the callsign if this callsign was already in the internal callbook, fields "Name", " QTH", "QSL via", "Grid", "State" will be filled up automatically. This speeds up and simplifies your work with the log.

It is recommended to update internal callbook after importing new log.

· Select "Updating callbook from the log" in the menu "View", "internal reference book".

· You should see small window with information of update process, which can take some time depending of the size of the log and the performance of your computer.

· The data from your new log will be exported into the internal callbook. Now, during the work with current and others logs entering the callsign causes fields "Name", "QTH" and others being filled automatically from the internal callbook.

After the import of a new log you could fill the field "State" in this log from the internal callbook to reflect correct statistic for awards. To do that:

· Select "Update field State from internal callbook" from menus "Logbook", "Operations with a logbook".

Also, you can enter the information into the internal callbook without entering it in the log.

If you copied some station, entered it's data but couldn't make contact for any reason, you can save these data in the internal callbook by clicking on the icon [image] in the main window. Next time as soon as you enter this callsign all earlier saved information will be taken from the internal callbook and displayed in appropriate fields.


From the RDA/URDA databases

You can add some data from RDA and URDA databases, which can be downloaded in ".zip" format from RDA - 62 Кb, over 14 Russian callsigns, and URDA - 14 Кb, near 3300 Ukrainian callsigns.

· Select "Update callbook from RDA.DBF" in the menu "View", "internal reference book".
· You should see small window with information of the process, which can take some time depending of the size of the log and the performance of your computer.

· After you typed Russian of Ukrainian callsign in the main window the RDA/URDA number from the internal callbook will be automatically displayed in the field "State" (of course, if the information about this callsign was in this database).


Awards list

The awards information you can see following menus "View", "Awards", "Awards manager", "Awards list". This information will be reflected in the statistic window.

Practically any award can be created in the "Awards list" window and current statistic for this award will be calculated when the particular callsign was entered, and also in the window "Awards statistic".

Statistic for separate awards can be hidden or visible. To do that click necessary award name and check or uncheck the box "Show statistic on entered callsign" and then click "Save".

With time some changes are unavoidable since some regions and territories changes their names, became divided etc. So, award list corrections suppose to be done in time to have correct statistic.

· Select needed award from the list;
· Select the line with territory on the lower part of the window for editing;
· In the line at the bottom edit the territory data;
· Click "Save" to finish.

To add a new line click "New", enter necessary information and click "Save".

To delete highlight the line, click "Delete" and then click "Save" to finish.


Award statistic creation

You can set the requirements in the "Awards list" window which can be used to reflect current statistic when the callsign is going to be logged.

The method of how to do it could be demonstrated on the example of a simple award "EPC Members Award" ("Worked with members of the "European PSK Club"):

· Take from the official website of the EPS club the list of members callsigns;
· Edit it in any text editor to bring it to the following format:

MM0DFV,,EPC#001

GM0WRR,,EPC#002

RZ1OM,,EPC#003

G3SEM,,EPC#004

PA0MIR,,EPC#005

and so on - callsign, comma, field "Code" value, comma, member's number. For this award "Code' field is blank, but for other awards here could be a prefix, name of the district etc.

(Examples are below);

· Save file with the extension ".awd" (for example, EPC.awd);
· In the center of "Awards list" window click "New" button to add record;
· In the line "Description" type the name of award (like EPCMA "EPC Members Award");
· Select in the "Field for statistic" the value "Call-Sign";
· Select in the field "Award type" - "OTHER";
· If you want to see the current statistic when entering callsign check the box "Show statistic on the entered callsign";
· Leave fields "Legitimate values" (for DXCC and prefixes) empty since member of EPS can be from any country and any callsign is good for this award;
· Fields "From character No." and "Length" can be left with "0";
· Click "Save" in the center of the window and the name of a new award appears in the awards list;
· Click "Create new file";
· In the opened window enter the file name (for instance, EPC) and click ОК;
· The name of the file comes on in the line "Awards file" (for instance, EPC.db);
· Click button "Import" in the lower part of window;
· Enter the path to the text file "EPC.awd" and click "Open". The text file will be imported to the award's database;
· Close the window;
· Update statistic for awards from menus "View", "Awards", "Awards manager", "Update statistic".

The same way you can create statistic files for more complicated awards.

Example for RDA award:

AB-01,UA8V,"Агинский р-н"

AB-02,UA8V,"Дульдургинский р-н"

AB-03,UA8V,"Могойтуйский р-н"

AD-01,UA6Y,Майкоп

AD-02,UA6Y,Адыгейск

AD-03,UA6Y,"Гиагинский р-н"

..........

Example for award "Worked All Ukraine":

UR1A,SU,Сумы

UR1B,TE,Тернополь

UR1C,CH,Черкассы

UR1D,ZA,Закарпатье

UR1E,DN,Днепропетровск

..........

Export award requirements into the text file

· Click on the selected award;
· Click "Export" button in the bottom of the window;
· Save the file. By default it'll have the same name as the file with database of this award with extension - .awd;

The file could be opened with any text editor. You can send this file to your colleagues in order for them to import this file into their database.


Award statistic

This feature can be launched from menus "View", "Awards", "Awards manager", "Awards manager".

In the process of logging the statistic for main awards is constantly monitoring, and the list of main awards can be edited.

By default when the "Awards manager" opens the statistic for DXCC is displayed on all modes. Results are visible in the right upper corner.

In the field "Statistic for" any award from the list can be selected, such as: WPX, DOK, DXCC, RDA, RUSSIA, URDA, P-75-P, WAZ, IOTA, WAS and many others, which you can add to this list.

It is possible to get the statistic for the separate modes. Check selected modes and click "Rescan".

The color coding and description of fields are self explanatory.

Confirmations from LoTW and e-QSL sites also counted.

Double click on the territory name displays all contacts with this territory in the log's window.

If you click on the rectangular field which is a crossing of the territory name and the band, all your contacts will be displayed in the log's window with this territory on this band.

If the statistic for selected award in the "Awards manager" window differs from the composed application for award then refer to the section "Problems solution".


Awards files and requirements creation

Information for awards which is required for filing the application is in files "awards.ini" and "awardsEx.ini". These files are located in the root directory of the log and can be edited with any text editor. You can easily add or remove awards.

For any awards it is necessary to set a certain parameters for the selection of callsigns for award application. To do that there are headers - "dxccprefix" (by territory prefix), "modes", "bands" and "atype" (field or parameter for the selection).

Example - "Work with all Ukraine":

[Worked all Ukraine]

dxccprefix=UR

Modes=NYNNNNNNNN

bands=NNNNYNNNN

atype=prefix

UR1A=Сумская обл.

UR1B=Тернопольская обл.

UR1C=Черкасская обл.

UR1D=Закарпатская обл.

UR1E=Днепропетровская обл.

UR1F=Одесская обл.

UR1G=Херсонская обл.

UR1H=Полтавская обл.

UR1I=Донецкая обл.

UR1K=Ровенская обл.

UR1L=Харьковская обл.

UR1M=Луганская обл.

UR1N=Винницкая обл.

UR1P=Волынская обл.

UR1Q=Запорожская обл.

UR1R=Черниговская обл.

UR1S=Ивано-Франковская обл.

UR1T=Хмельницкая обл.

UR1U=Киевская обл.

UR1V=Кировоградская обл.

UR1W=Львовская обл.

UR1X=Житомирская обл.

UR1Y=Черновицкая обл.

UR1Z=Николаевская обл.

UT1J=Севастополь

UT1U=Киев

UU1=Автономная республика Крым

The name in square brackets is the name of the award, which was in the list.

dxccprefix= one or more prefixes, separated by comma, for countries counted towards this award. If you skipped it - all countries count.

Letter "Y" in the string "Modes" marks the particular type of modulation in the file "modes.dat" in the same sequence as it is in the file. For example this file could have 10 different modes:

CW=599

SSB=59

RTTY=599

BPSK31=599

MFSK16=599

AMTOR=599

SSTV=595

OLIVIA=599

HELL=599

THRB=599

As you can see the string "Modes" has 10 characters. If you want to exclude any mode, enter "N" instead of "Y". If this line is missing, all modes will count. In this particular example the string looks like "Modes=NYNNNNNNNN" which means only SSB contacts will be counted.

It works the same way with bands. For instance, the "bands.dat" file can look like:

1.8

3.5

7

10

14

18

21

24

28

Total - 9 characters in the string "bands". If this line is missing, all bands count.

For this particular case it looks like "bands=NNNNYNNNN", which means that only 14 MHz contacts will be counted.

Then, the line "atype=" - this is the parameter for search criteria. Can be selected from:

atype=callsign

atype=prefix

atype=dxccprefix

atype=ITUZone

atype=CQZone

atype=IOTA

atype=State

atype=StateEx

atype=ShortNote

atype=Continent

atype=QTH

The list which follows after "atype=prefix" contains of what was selected for this award.

UR1A=Сумская обл.- determines the record where "UR1A" - is the key word and а "Сумская обл." will be appropriate text.

Review statistic by "StateEx"

The example of how to establish requirements and forming an application for simple awards was examined above. But what to do if the same QSO can be counted for several awards and there is not enough room for entering information? To do that there is a field "StateEx" in the file "awards.ini" and a box just above the "Grid" field in the main window, where the statistic can be calculated for the unlimited number of awards for one callsign.

If this box is not checked - no search of awards performing. If it was checked and the entered callsign falls into one or several award conditions then on the button just to the right appears an exclamation sign. You call the dialog for the award selection by clicking this button.

Lets assume that the operator is located on the island with the IOTA number and also the number under the program RRA. Also, lets assume that the area is a natural reserve or a national park, which is counted towards RFFA award. Plus, he's working from the beacon which could be counted toward RLHA award.

In this complicated case during preparation of the statistic include the string "atype= value StateEx".

Example for RRA и RFFA awards:

[Russian Robinson Award]

dxccprefix=UA1,UA2,UA9,R1FJ,R1MV

Modes=NNNNNNNNNN

bands=YYYYYYYYY

atype=StateEx

RR-01-01=МАЛЫЙ ВЫСОЦКИЙ Остров

RR-01-02=БОЛЬШОЙ БЕРЕЗОВЫЙ Остров

and so on...

[Russian Flora-Fauna Award]

dxccprefix=UA1,UA2,UA9,R1FJ,R1MV

Modes=NNNNNNNNNN

bands=YYYYYYYYY

atype=StateEx

RFF-01=Азас (No activity)

RFF-02=Алтайский (No activity)

and so on...

By using this method you can establish "conditions" for different awards (unlimited number).

To form an application for award using "atype=StateEx", check the box just above the field "Grid". Now during typing in any callsign which will satisfy the award's terms on the button next to the box appears an exclamation sign [image].

If you click this button the window opens with the list of said awards:

Click chosen award and select appropriate line from the drop-down menu. Click OK.

This way a reference number or the name of territory could be assigned to the current correspondent who works from the given territory for each award separately.

During calculation of statistic the callsign of given correspondent will be counted toward these awards.

If this correspondent works with the same callsign from other territory which satisfies terms of any awards in the list you can edit the reference number or territory and save these changes.

To remove data from the field "Awards value" just double click needed line and in the opened window press "Clear" and "OK".


Applying for award

Important! During work on the application for the award don't interrupt the process, it is necessary to wait for the end. Otherwise you could face problems with further functioning of the program.

Go to the main window and click menus "View", "Awards", "Awards submission".

In the opened window pick the award you're looking for from the drop-down menu "Award". Pick one of files "awards.ini" or "awardsEx.ini" where you have the terms of this award:

The whole window is divided on two parts.

Modes, bands and one or several logs from where you'd like to get the data can be selected in the upper part.

The bottom part shows the statistic for the selected award.

Computer starts to look through the records for award from last QSLs, if you don't have them - last eQSLs, if there was none - the last QSO. Cards from eQSLcc are also counts.

You can replace computer selection with any other appropriate for the case. To do that right-click on the record and choose "Change". The other way is just double click on the line, from opened list select different record, right-click and select "Replace for this QSO".

Records with the check mark in the box "Saved" will be stored in the chosen file - "awards.ini" or "awardsEx.ini".

Selected contacts can be exported to Excel format.


Incoming QSL processing

Incoming QSLs

For your convenience to check incoming QSLs have previous contacts window open.

Enter the callsign from received QSL.

All contact(s) with this correspondent, even if he worked from different QTH using "/" in the callsign will be displayed in this window.

· Select the line with the sought QSO.

· Right-click on the selected line and pick from the opened menu "QSL received".
· Or, you can double click (left mouse button) on the line and in the opened window check box QSL received and click button "Now":

(Fragment of the window)

The current date and check mark that QSL was received after you clicked "Now" automatically registers in the log. If you received QSL, but didn't send out your, the line in the log will have purple color. If QSL was sent and received the line will be light-green.

If the QSO was confirmed via e-QSL then in the field "Received from eQSL.cc" will be check mark and the callsign field will be yellow.

LoTW confirmation is marked in the log with light-green color and count toward awards the same way as regular paper QSLs.

Outgoing mail

"QSL was sent" check mark will be placed automatically in the log if QSL and label printing service will be used.

You can do it manually:

· Double click in the log's window on selected callsign;
· Mark "Sent" and click button "Now" to the right.

The current date and proper check mark will be put in the log automatically. In the log this line will be blue if QSL was nor received, or light-green if QSL for this contact was received.


E-QSL confirmation

You have to register on http://www.eqsl.cc/ before using this service.

Upload QSOs from the log to e-QSL

· In the menu "Logbook" select "Export information from a logbook to"
· Select "ADIF, or eQSLcc or DX Atlas".

Here is the opened window (just for illustration):

· Select proper interval of dates. Don't make this interval too big since upload of thousands of QSOs can take a long time;
· If you use BPSK63 and BPSK125 for your digital contacts it is recommended to mark the box "BPSK to PSK";
· Check the box "Send to eQSLcc";
· Enter the login and password for QSL.cc. These data will be stored in the program and you don't need to enter them every time before upload;
· Press OK and the upload will begin.

Download archive of confirmed QSOs from e-QSL into the log

· In the menu "Logbook" select "Import information to a logbook from" and select "Import from ADIF";
· In the opened window enter your login, click OK, then your password and again OK;
· There will be opened window of Internet Explorer (or other browser you use in your computer). Below is the fragment (just an example):

· Click ".ADI file". Save file in the selected folder on your hard drive;
· Close the browser window;
· In the menu "Logbook", "Services of eQSL and LoTW" select "Confirm the receipt of QSL from eQSLcc.com (adif)" ;
· Find the folder where you've placed saved file in ADIF format and click "Open".
· The indicator bar below the log's window will show the progress, wait for the full completion;
· The lines in the log after completion will be yellow for confirmed QSOs.


LoTW QSO confirmation

LoTW - this is a large server which belongs to and maintains by ARRL. The software on this server is able to compare information about QSOs coming from different amateurs and in case it "verifies" allows "to count" QSOs as confirmed. Since this database is owned and organized by ARRL these QSOs will be counted toward different awards issued by ARRL, like DXCC and WAS.

To avoid a fraud the system of LoTW is heavily protected. In order to place data about his/her QSOs in the system, the amateur has to prove that he/she is an owner of a particular callsign. In United States for this purpose is used the official database of FCC, but foreign amateurs have to mail necessary confirmation documents. The participant of the program receives digital certificate obtained from ARRL which will be used to verify every QSO logged to the LoTW.

How to upload QSOs to LoTW?

Lets assume that you have already the software from http://www.arrl.org/lotw and obtained necessary digital certificate.

· Convert file for given period of time to ADIF or Cabrillo formats;
· Start program TQSL;
· In the menu "File" pick "Sign existing ADIF or Cabrillo file";

· Select from the list necessary callsign and press "OK";
· Find a path to the file converted in ADIF or Cabrillo format and click "Open";
· Click "Save" and the window opens:

· The file will be digitally signed and will contained data about the callsign and DXCC country;
· Make sure that everything is correct and answer "Yes". The window would open:

If you need to upload data from ADIF or Cabrillo file for the certain period, but you don't remember dates used to upload previous data, then put in the upper field starting date, and in the bottom field ending date. The data for only set period will be taken from this file and digitally signed.

If you know the last date of QSO uploaded to LoTW and the ADIF or Cabrillo file has the starting date later, then you can leave those fields blank and press OK.

Then the window will open for the password. It must be the same password you used during creation of your certificate (not the password sent to you from ARRL website which should be used only for the entrance to the LoTW site). Press OK.

It starts the conversion process from ADIF or Cabrillo formats to special format with the encryption and your digital signature for uploading information on the LoTW. During this process the number of signed files will be displayed in the window .

If ADIF or Cabrillo file has some "incorrect" data the error could occur during the conversion process. For example, for uploading contacts in BPSK mode the following error could appear:

ADIF or Cabrillo format should have PSK mode instead of BPSK. Only this mode is supported on LoTW. The solution is very simple - you should transfer BPSK to PSK during ADIF uploading or edit ADIF file in any text editor, replacing all BPSK contacts with PSK.

The conversion could be done in the T-QSL software itself. Just pick in the menu "File" option "Preferences", then tab "ADIF modes" and enter the mode from your log. Then make custom mapping as shown in the T-QSL window and you won't need any additional corrections.

Here is shown BPSK to PSK conversion:

If you ignore the error then the QSO will not be signed but the process will continue. But it's not recommended, you would be better of to make all corrections and repeat the signing procedure.

Below is the window with error message came during conversion:

If the conversion was done without errors you should see the window:

The file will be created in the folder with ADIF or Cabrillo file with the same name, but with extension ".tq8" (for example, "rz1om.tq8"). Then:

· Go to the site "https://p1k.arrl.org/lotwuser/default", enter your login (callsign) and password (received from ARRL) and select «Log On»;
· Pick in the menu «Upload File»;
· Press "View" and select the path to the file with extension ".tq8";
· Press «Upload file»;
· After uploading the message on the screen should be: "File <Disk>:\path to file\file name.tq8 queued for processing". Also, instead uploading to "https://p1k.arrl.org/lotwuser/default" the created file with extension ".tq8" can be emailed to the address "lotw-logs@arrl.org".

Download the archive of confirmed QSOs from LoTW :

· In the menu "Logbook", "Services of eQSL and LoTW" pick the option "Download your Inbox/Archive in ADIF format from LoTW;
· In the opened window enter login, click OK, then your password and again OK;
· The Interner Explorer (or other browser you use) will connect you to the website;
· Pick in the menu "Your QSOs";
· In the opened window pick "Download Report";
· In the line "Show QSLs received since:" set the date from which you need to download confirmed QSOs;
· You can check the box "Include QSL detail:" if you need full information about contact. Otherwise only the callsign, date, time, band and mode will be in your file (most likely, it'll be enough).
· In the line "Your Call Sign:" select the callsign of the log which contacts you'd like to confirm;
· Press "Download Report". In the opened window pick "Save";
· The default file name is "lotwreport.adi", you can leave it or replace with your callsign, like, for example, "rz1om.adi".

LoTW QSO confirmation in the log

· In the menu "Logbook", "Services of eQSL and LoTW" select "Confirm the receipt of QSL from LoTW";
· In the opened window pick the file downloaded from site LoTW and click "Open";
· Indicator in the bottom part of the log window is going to show the loading process to the log.

All QSOs in the log will be confirmed in the same way as with paper QSLs. If you open the window for editing QSO you should see the sentence "Received from LoTW". The confirmation date will be the date of import the file from LoTW.


QSL and label templates

Template for labels

· Start QSLPrint program (menu "Logbook", "Printer", "QSL print");
· In the menu "Mode" select "Labels";
· In the menu "Media" select "Labels", then "Setup labels":

· Set necessary parameters depending of labels you'd like to use;
· Save settings, pressing "ОК";

· Created macro commands have to be placed in the left upper label and will be synchronized on the all other labels on the page;
· Pick "Text" from the menu "New" or just click letter T in the toolbar;
· You'll see XXXXX on all labels, double click on it;
· In the opened window enter macro command from the table below, for example <CALL>;
· Click button "Font" to select the size and type of font, then OK to save changes;
· Move macros to the right place on the label;
· Exactly the same way is for placing any other macros from the table;
· Type all other information using this technique and put it in necessary place on the label;
· To insert line or other elements select it from the menu "New" or pick them from the toolbar. Place the line in proper location on the label, you can make it longer or turn as needed;
· If you need to print several QSOs for one callsign then in each next line add 1 to each macros, i.e. on the first line is <DATE>, on the second it'll be <DATE1>, on the third - <DATE2> and so on. The same for all other macros's;
· Macros or other elements can be duplicated by right-clicking on the macro and selecting "Duplicate". For example, if you'd like to duplicate macros <CALL1> then below will appear macros <CALL2>. If you'd like to duplicate the line, below will appear exactly the same line;
· To align macros you can use lines, which can be made invisible by right-clicking on the line and unchecking "Enable print". Lines in this case will not be printed;
· The macros could "interfere" each other, and to check how they will look on the label go to menu "Edit", "QSL data" and "New QSL";
· In the opened window enter any data about the contact and click OK. You'll see the first line with data and you can line them up, save the result and exit from the program QSLPrint;
· Start the program again, select created template and line up other lines in the same way. Screen shot below is just for the demonstration of the result:

· Save the file.
· Now, you can print QSOs in the queue for print. Below is the sample of label with 4 contacts:

QSL-card template

· Pick in the menu "Media" option "QSL";
· The procedure will be the same as for label design. For example, below is the QSL from the file QSLDemo.qsl:

· You could scan your own QSL and put the resulted image for the template. Then, you need to place proper macros in necessary fields on your card;
· After you finish the work check and correct as needed the printer setup from the menu "File", "Print setup".

For operators working often from RDA, IOTA or other DX-pedition it's possible to print from the log the RDA or territory number automatically on QSL card or label.

· Highlight in the log all contacts made with one territory or region;
· Right-click on the selected area in the log's window;
· Pick in opened list "Group editing";
· In the "group editing" window check the box "Set QSL info";
· Below enter into the field the territory or region number (example: AR-33 or EU-153) and press "ОК";
· If you've worked from several different territories do it separately for each territory as described above.

Available macro commands:

<CALL> | contact's callsign
<DATE> | QSO date
<TIME> | QSO time
<MHZ> | frequency in MHz
<KHZ> | frequency in КHz
<MODE> | mode
<BAND> | band in meters
<NAME> | operator's name
<QTH> | location
<DOMAIN> | domain
<IOTA> | IOTA index
<LOC> | locator
<COUNTRY> | country
<MANAGER> | QSL-manager
<RSTS> | transmitter report
<RSTR> | received report
<EXCHRCV> | received contest number
<EXCHSHT> | transmitted contest number
<NOTES> | notes
<WAZ> | WAZ zone number
<ITU> | ITU zone number
<QSLINFO> | comments to QSL


Print queue

In order to place QSO from the log to the list for print right-click on the line with desired QSO or group of QSOs and in the opened menu select "QSL queued". These lines will be highlighted with dark green color.

The same way is for the case when you just received QSL from your correspondent. You can mark this contact as "QSL received" and simultaneously put this QSO in the queue for print in order to send it to this station.

Right-click on the line with desired QSO or group of QSOs and in the opened menu select "QSL received and Queued". These lines will be highlighted with dark green color.

As soon as you decided to print QSL or labels you have to export these queued QSOs for print.


QSO export for print

Menu "Logbook", "Printer", "QSL print ".

All QSOs marked for print (dark-green highlighting in the log) will be found and exported into the folder "PrintQueue".

Created files will have structure "XXX-YYYYYY.qpq", where "XXX" – prefix of the country, "YYYYYY" – correspondent's callsign.

Example: "UA3L-UA3LMR-P.qpq".

Content of the file:

RZ1OM;UA3LMR/P;20070822135800;;;;14000000;0;;SSB;59;59;;;Вячеслав;Угранский р-н;TNX for QSO! BEST 73!           RDA AR-35;SM-25;;Russia, Smolenskaya obl;;;;;;;;;;;;;

You can look through all files exported for print and edit them if necessary.

If the recipient of QSL has a manager and the option "Sort by manager" is active, then file format is "XXX" – prefix of manager's country, and "YYYYYY" – correspondent's callsign.

Cards will be printed in alphabetical order by prefixes with manager consideration and you won't need to sort cards additionally for mailing.

Selected QSOs will be marked in the log as "sent".

After the process described above will be completed the program QSLprint will run automatically.


Files queue editing

After export QSOs to print it is possible to check every QSO in order to be sure that all information is correct.

· Open the menu "Logbook", "Printer", "Editing files of print queue";
· Click on any file in the window;
· Lines with data for the selected callsign will be displayed in the middle part of the window;
· If required, enter the information about region from where you've worked and the callsign of the QSL-manager of your correspondent and comments in the bottom part of the window;
· Press "Save to file" to save the data and close the window;
· You could now print QSL-cards or labels.


QSL and label printing

The program QSLprint is an accessory part of MixW2 and UR5EQF Log and provides print of QSLs and labels.

The program starts automatically during the export QSOs for print, and could be started manually, the file "QSLprint.exe" is located in the log's folder.

Before printing anything you need to make a template for desirable appearance of your QSL or label's.

You can scan your own paper QSL and that can make your job easier and nicer.

Load the image for your card via the menu "Open" or make the size and fields arrangement. The example is in the file "QslDemo.qsl".

The "how to" described in details in the section "QSL and label templates".


Logbook printing

The log could be printed from the menu "Logbook", "Printer" with sort by date or callsign.

Below is a fragment of the log sorted by date.


Import from ADIF

In the menu "Logbook" select "Import information ...", "Import from ADIF" and the following window should open:

You can add any comments to all imported records and these comments will be attached to imported QSOs.

Click on the icon with open folder on the bottom of this window and select the file in ADIF format you'd like to import. Press OK.

In some logging programs the field for comments can be named differently, for example, in AALog - it calls "NOTES". In some others - "COMMENTS". It means that if you want to export your log from AALog to ADIF and use this file in UR5EQF log you have to check the field "From the field Notes". Otherwise, if "From the field "Comment" was checked then the notes will not be imported.

In order to import files from the logging program DX4WIN ver. 5.03 check the box Dx4win v 5.03 and select option "NOTES" for comments.

Sometimes after import of ADIF file created by some loggers the territory will not be displayed correctly for all contacts. Consequently those contacts will not be counted for awards. So, it's not a bad idea before importing ADIF file to check the box "Compute DXCC from callsign", then all contacts would be imported in the log according to their prefixes.


Import from 425DX News

You can download the QSL-manager's information from 425DX News bulletins.

Bulletins in the DBF format

You can download this files in the DBF format here: http://cqrivne.com.ua/425DXNews/, the import of files in this format will be performed significantly faster than HTML files.

Bulletins in the HTML format

· Open the site http://www.425dxn.org/425/indbulle.html;
· Pick bulletin you need;
· Save it in HTML format, the name can be left unchanged.

Import data from 425DXNews in the log

· Start the log program;
· In the main window click the icon (below) next to the field "QSL via", and the window of the QSL-managers database will be opened;

· Depending of the saved file format in the upper part of the opened window select icon [image]:

for "html" file - left icon, for "dbf" file - the right icon;

· In the opened window find the folder with saved file;
· Pick this file and click "Open";
· The bar on the bottom shows the progress of import.

Manual data entry into QSL-manager's database

To enter data manually click icon [image] and in opened window enter needed information and press OK. To edit - click [image] change whatever necessary and click OK.

To remove the line with the callsign and QSL-info - highlight it and click [image].

If you need to erase all table with manager's database - click icon [image].


Import from text file to ADIF

Formatting text file

For example, it's necessary to import a text file with some information (below) into the log:

11-04-2006 09:25 RA9CKM  SSB 14 59  57  Илья Волчанск

15-08-2006 11:26 RW0AW CW 7 599 589 Сергей Канск

17-09-2006 16:31 UN7LN BPSK31 3.5 599 559 Валерий Кустанай

For the beginning it has to be formatted to line up items as follows:

11-04-2006 09:25 RA9CKM      SSB     14   59  57  Илья       Волчанск

15-08-2006 11:26 RW0AW       CW      7    599 589 Сергей     Канск

17-09-2006 16:31 UN7LN       BPSK31  3.5  599 559 Валерий    Кустанай

It'll be easier if you use the font with the same width for any symbol (like Courier).

For the callsign it's preferable to leave room for up to 13 characters (including "spaces") in order to import "long" callsigns, for example, containing "/". For the name and QTH is up to you, probably between 10 to 20 will be sufficient in order not to truncate them.

Save the file (for example like: import1.txt).

On the example above it can be seen that:

· First 10 characters from the beginning of the line have the date;
· 11-th character in line is "space";
· From12-th to 16-th - time;
· 17-th - "space";
· From 18-th to 29-th - the callsign;
· From 30 to 37-th - mode (including spaces);
· From 38-th to 42-nd - frequency in МHz (including spaces);
· From 43-rd to 46-th - RS(T) received (including spaces);
· From 47-th to 50-th - RS(T) transmitted (including spaces);
· From 51-st to 61-st - the name (including spaces);
· From 62-го to 82-й - the QTH, (including spaces).

Then the template should be designed.

Template design

· In the menu "Logbook" select ""Import information ..." and "Import from text file";
· click the "open file" icon and browse files to find the text file you're looking for;
· Click "Load text file";
· Click the button "New template", pick the file name and press "Save template" (example - template1.pos).

· In the opened file window pick any line with data, highlight needed field and choose the name and format. Highlighted on the screen shot above is shown the date, the field name and the date format.
· One by one highlight the rest of fields, from beginning to end, including spaces, and pick appropriate names and formats
· If in the process of designing the template the field was entered by mistake, it can be erased by pressing simultaneously "CTRL + DEL" keys.

The fragment of the resulting table is shown below:

Click the button "Export to ADIF". The file in ADIF format will be created in the same folder with the text file, for example it'll be import1_txt_0711190931.adi which then can be imported in the log.


Export to ADIF format

ADIF is a universal standard and used by practically all logging programs.

The files export to the ADIF format could be used to download these files to another log or for making backup copies.

In the menu "Logbook", "Export information from..." pick "ADIF or eQSLcc or DX Atlas".

The window will open and select there the interval for the conversion:

If you use e-QSL and LoTW then to get the correct conversion would be better to change BPSK mode to PSK. The speed value will remain the same.

If you check "All showed contacts" all QSOs from the current log will be exported to ADIF file.

You could use filters by clicking the icon [image] from the opened filters window where you can setup all required parameters and press OK. Then in the log's window all selected contacts will be displayed. Press OK in the export window and save the file.


Export to Cabrillo

The Cabrillo format is mainly used to send contest logs.

Select from "Logbook", "Export information from..." - "Cabrillo".

· Enter all data and click "Generate";
· The bar below will show the progress of file generation;
· In the opened window click "Save";


Export to MixW2 log

If you use the MixW2 program for digital modes then the ADIF file from UR5EQF LOG can be uploaded to this program :

· In the menu "Logbook", "Export information from..." pick "MixW2.log";
· In the opened window pick the file name (by default - MixW2.log) and press "Save";
· The bar below will show the progress of the process.
· Now resulted file can be imported into MixW2.


Export to DX Atlas

You have to install the DX Atlas program before starting export process.

· In the menu "Logbook", "Export information from..." pick "ADIF or eQSLcc or DX Atlas".
· Set required period of time to have data on the map or globe. Don't set large period of time since there is not much room on the map to accommodate many callsigns.
· Check the box "Show in DX Atlas" and press OK.
· DX Atlas starts and depending of your settings the contacts will be shown on the globe or map:

If you set the cursor on any of displayed callsigns on the map then in the "Previous contacts" window will be displayed all QSOs with this particular station.


Export to on-line log

UR5EQF LOG software allows to compose files for the online log and send them via FTP server to the selected website. This process is simple and doesn't take long time.

Below is described the option to upload online using Java applet.

Using JAVA applet

This applet was created by G4ZFE. To run this applet on the client side you should have a free Java Runtime Environment (~15 Mb) package which can be downloaded from the developer of Java(tm) - SUN Microsystems site - http://java.com . The applet allows to add to the online log only changed files every upload and this method significantly decreases the traffic and time for export process.

Download file "logsearch.zip" here - http://www.hamsoft.ru/logs/logsearch.zip, unpack it and you'll have an applet "Logsearch.class";

In any text editor create html-page with the name "logsearch.html" as described below.

Here is the sample of a simple script for simultaneous placement of 3 logs (modified by UR5EQF) which can be used almost without changes:

<html>

<head>

<meta http-equiv="Content-Type" content="text/html; charset=windows-1251">

<title>Untitled Document</title>

<style type="text/css">

<!--

.style2 {

color: #0000FF;

font-size: 36px;

}

-->

</style>

</head>

<body>

<div align="center">

<p class="style2">RK1OZM Log Search Page

</p>

<table width="100%" border="0" align="center">

<tr>

<th height="76" scope="col"> <iframe src="rk1ozm/logupdated.html" width=580 height=22 marginwidth=0 marginheight=0 scrolling=no frameborder=1></iframe>

<p align="center">

<APPLET CODE="Logsearch.class" WIDTH=580 HEIGHT=320>

<param name="fileExtn" value="log">

<param name="rowsHead" value="3">

<param name="logName1" value="RK1OZM (AR-03)">

<param name="logName2" value="RK1OZM/P (EU-153)">

<param name="logName3" value="RK1OZM/P (AR-10)">

<param name="URLName1" value="http://rk1ozm.narod.ru/logs/rk1ozm/">

<param name="URLName2" value="http://rk1ozm.narod.ru/logs/rk1ozm_p/">

<param name="URLName3" value="http://rk1ozm.narod.ru/logs/rk1ozm__p/">

<EM>Search applet requires a Java aware browser. Please install Java Runtime Environment from http://java.com</EM>

</APPLET>

</p></th>

</tr>

</table>

<p class="style2">&nbsp; </p>

</div>

</body>

</html>

You have to copy this script into any text editor and slightly edit it - instead RK1OZM insert your callsign. In the line <param name="URLName1" value="http://rk1ozm.narod.ru/logs/rk1ozm/"> show the path to files on your FTP server.

If you have only one log then lines with parameters "logName2", "logName3" и "URLName2", "URLName3" can be deleted, and in the line with parameter "rowsHead" value="3" put 1 instead of 3.

Then save this file with the name "logsearch.html".

In this example when the applet starts it uses following parameters ("param name=") :
- fileExtn - sets the text log-files extention;
- rowsHead - determines the lines number in the form's header;
- logName1, logName2, logName3 - used to mark checkboxes on the form of output data. You can use up to 10 checkboxes (each of which determines one of logs of the user);
- URLName1, URLName2, URLName3 - makes references to folders where text files "1.log" - "z.log" are situated.

Make on your site "http://www.my_test_site.com" folder "logs" and subfolders with names of your logs (don't use capital letters). For example, rk1ozm, rk1ozm_p, rk1ozm__p.

Place in the folder "/logs" сайта "http://www.my_test_site.com" following files:
logsearch.html
Logsearch.class

Each log you plan to place should be divided by several text files - from "1.log" to "z.log", to do that in the UR5EQF log program (starting from version 2.0.0.8b from 18.01.2007) there is a function of automatic separation. Each file has to contain records starting from the first character of the file's name (without extension).

Example of file r.log:

R1ANT 24-09-2005 7 RTTY

R2MWO 28-03-2003 14 CW QSLSent QSLRec

RK4WWF 17-06-2002 21 SSB

...

Example of file 3.log:

3V8BB 01-05-2000 1.8 CW QSLSent

3W4KZ 19-12-2004 10.1 CW

3Z4PZK 17-06-2002 7 PSK31

...

The callsign in each line has to be at the beginning and has to be no longer than 12 characters.

Select in the menu "Logbook", "Export information from..., " - "Online logs on the Internet".

Set parameters in the opened window for your FTP server, port number, login and the password.

If you connected to the Internet via proxy-server in the local net then it would be necessary to enter the IP-address of the proxy-server and the port number, and authentication (name and password information) to access the proxy-server. For regular Internet connection leave these fields blank. Mentioned parameters should be entered only once, the software will remember them.

In line "Folder on FTP" just show the folder where those files will go. Pay attention to use a "forward" slash (for example logs/rk1ozm/).

Click the icon [image] and select (or make) a folder where it's desirable to export your log. Then click "Create files to folder" button. You should see below files forming for uploading with names from "1.log" to "z.log".

Connect to FTP server by clicking button "Connect". If the connection was successful you'll see "Connected" and the button "Upload files to FTP-server" became active. Click this button and files will upload to the server. Automatically the file "logupdated.html" will be created and copied to the log's folder on the FTP server.

Messages will be displayed - "Data Transfer Complete" and below - "Disconnected" after upload successfully finishes, program then automatically disconnects from the server. Press "Close" to close the window.

In your browser open your page "http://www.my_test_site.com/logs/logsearch.html" and enter any callsign to test.

The window will look like this below (fragment is shown):

Under the header in this window there is the date when the last log was uploaded to the FTP server, the data were taken from the file "logupdated.html". Also, next to contacts there is the information about sent and received QSL-cards.

If you uncheck box next to any of these three callsigns then the search of this callsign in the database will not be performed.

Note.

Here is the list of parameters for the applet initialization:

<param name="rowsHead" value="1"> - number of lines in the applet header where the number of logs is stated.
By default value="1". If you have large number of logs it would be recommended to increase this value for the placement of log names in the header.

<param name="fileExtn" value="log"> - extension for log text files.
By default: value="log".
Other variants: value="txt", value="prn".

<param name="logName1" value="RK1OZM (AR-03)"> - log's name (can be anything).
name could have values: "logName1", "logName2", ... "logName10"

<param name="URLName1" value="http://www.my_test_site.com/logs/rk1ozm/"> - name of the URL folder with data files "1.log" - "z.log".
name could have values: "URLName1", "URLName2", ... "URLName10"


External programs connection

Menu "Settings" - "External programs"

This menu is to connect log with some external programs.

· In the window next to the program name click on the icon [image] ;
· Pick the path to this program and click "Open";
· After that press on the [image] to save changes.

You also can start the program by clicking on icon [image] in the upper part of the main window or restart UR5EQF log and selected program will start automatically.


CW Type

To work CW from the keyboard you can use external program CwType.

This program allows to use the keyboard and a paddle connected to the game or parallel ports. The transceiver control is performed via serial or parallel ports. For use of the paddle the program supports yambic mode and memory of an element of a character.

Detailed description of this program and download can be found here http://www.dxsoft.com/ru/products/cwtype/.


Programs for digital modes

The log program supports external programs for digital modes. For example, you could use MixW2, TrueTTY, MMTTY, MMVARI, MMSSTV and others.


Digital recorder

In the upper part of the main window you can find controls for a digital recorder [image].

To make it active start the program from the Windows "Start", "Programs", "UR5EQF log", "Audio recorder". The program will start and the cassette icon appears in the taskbar in the right lower corner of the screen.

To open the recorder just click the cassette icon and select "Show". If you'd like to start this program automatically during the computer boot-up, in the menu "Configure" check the box "Auto start on Windows".

Digital recorder's window:

· Select the sound card (if you have several in the computer) and parameters for the quality of recording.
· To make recording from the air the "8000Hz 8bit Mono" should be enough, the size of audio file will be approximately 500 kb for 1 min of recording. Stereo mode and higher quality requires more space, for example, "11025Hz 16bit Stereo" file for 1 min of recording takes about 2500 kb of memory.
· To save recorded file in the menu "Files" select "Save as", enter the file name and press "Save". By default file will be saved in the log's folder and will have extension .wav ("Record.wav").
· To play it press "Play".
· To play earlier recorded file select in "Files", "Open file", the needed file and press "Open".
· The description of controls of digital recorder is below:

record

stop

play current record

play pause

play cancel

Every time you press "record" newly recorded data overwrite previously recorded.


Log window setting

There are several different options for log windows setting.

1. Standard setting with separation on two windows

Pressing CTRL+L keys allows to switch to the "Standard mode", remove the world map and place the log and cluster (or previous contacts) panels instead. This variant is convenient for those who prefers digital modes. Digital module could be placed to the right from the log's window in order not to block it.

2. Combined "whole screen" window.

Menus "Settings", "Adjusting interface" remove check mark from "Standard interface" and have checked "User interface" "Type 1/Type 2" and "Classic interface for Type 1".

Below is the screen appearance for this setting (log's window is upper right, telnet window takes bottom right. Other tabs can be used also):

3. Random windows location.

Menu "Settings", "Adjusting interface" - remove check mark from "Standard interface" and have checked "User interface" - "Type 1/Type 2" (uncheck "Classic interface for type 1"). You can drag resulting windows and place them wherever you wish. This is, probably, most informative screen, which requires large size display (19" and up, better widescreen), containing main logging window, log's window, previous contacts panel, spots and DX telnet window.

Pressing CTRL+F keys allows you return standard window appearance.

4. One more option

If you have a large (19" and up) or widescreen display you can place on the screen the digital module window side by side with the main log's window.

As we could see the program provides a very flexible interface which allows you to achieve maximum versatility and convenience.


Fields setting

Columns customizing

It is possible to show or hide columns if you don't need them in any window.

· Right-click in any of opened window (log's, previous QSOs', DX clister's);
· Select from the opened menu "Columns customizing";
· Left-click on any line needed in the "customize" window and drag it to the header of current window (log's, previous QSOs, DX clister's);

· The same method can be used to remove unnecessary column by dragging it into the "customize" window.


Font selection

Font and background color selection in the log

Fonts and background color of the main window and the log can be selected in the menu "Settings", "Adjusting interface".


Operation modes and bands selection

Modes editing

This can be done from the menu "Settings", "Adjusting logbook", "Modes list". File "modes.dat" will be opened and you can add or remove necessary modes. Enter RST for every mode, which will be the default value for the QSO in the received and transmitted reports. Usual values are 59 or 599.

Example of the file "modes.dat":

CW=599

SSB=59

RTTY=599

BPSK31=599

BPSK63=599

BPSK125=599

MFSK16=599

JT65=-

AMTOR=599

SSTV=595

OLIVIA=599

HELL=599

THRB=599

Bands managing

This could be done by opening the file "bands.dat" (which can be found in the "\ur5eqf_log\" folder) with any text editor. You can add some bands or remove those you're not planning to operate. Save the resulted file and restart log's program.

As an example, I don't operate 1.8 and 3.5 MHz, also UHF or VHF, and I removed them from my "bands.dat" leaving only the rest:

7

10

14

18

21

24

28


QSL print setting

Menu "Logbook", "Printer", "QSL print setup".

In this window you can enter certain sentences you'd like to have printed on QSL or label depending of the QSL status for the particular QSO.

· The upper line - if you didn't receive QSL;
· The lower line - if you received QSL.

During upload for print QSL and/or labels they could be sorted by QSL-manager callsign. If you'd like this, check the box "Sort on QSL manager".

If you'd like to print multiple QSOs with the same station each on separate QSL, check the box "Print one line in QSL". Otherwise during the print QSOs will be grouped by callsigns depending of the number of QSO programmed on the designed template.


External databases

Use of external databases (on CD-ROM or harddrive).

Menu "View", "External databases".

QRZ.COM database

You can download it here (about 105 Mb archived).

· Extract and copy the database on any disk with the name "callbk", for example "D:\callbk\";
· In the window shown above check the box "QRZ CD-ROM" and set proper path to it in the field below.

"Radio Amateur Callbook" database

· Check the box RAC CD and set proper path to it in the field below.
· Click the button "Test".

If everything was done correctly you'll see the message:

Database from RW6HS

This database can be purchased from Vasily RW6HS.

· In the window check the box "VF-Soft Radio Amateur Callbook".
· Set the proper path to it in the field below.


DXCC prefixes list

The prefix list editing

Menu "View", "Prefixes", "Prefix list edit".

You can tie up certain callsign to a particular prefix. If for some callsign the default territory is incorrect, find the prefix of correct territory in the list. Then right-click in the right part of the window and in the opened menu pick "Add additional prefix".

In the field "Prefix" type the callsign and click OK.

Now the territory for this callsign always will correspond to the selected prefix.

Any data here can be changed about territory to bring them up to date, for example, change country name, zone number and so on.

DXCC list of countries and territories.

The DXCC list of countries and territories changes with time. In case you've found some changes you have to make a correction in the list. It is possible to do via menus "View", "Awards", "Awards manager", "Awards list".

Below is the "Awards list" window:

To edit:

· In the field "Awards file" pick DXCC.db;
· Click on the line you'd like to edit;
· In the field in the lowest part of the window edit necessary data;
· Click "Save".

To add new line click "New", enter the data and click "Save". To remove any line highlight it and click "Delete", then click "Save".


Internet access setting

How to connect

Open menus "Settings", "Program setting", "Internet".

If you connected via proxy server in the local network, do the following:

· In the field "ProxyServer" enter the IP-address of the proxy server in the local network;
· In the field "ProxyPort" set the port number of the proxy server;
· Enter the login name and the password you use to access the proxy server;

If you have a direct connection, for example via the modem or dedicated line, leave all these fields blank.

After you enter necessary settings restart the program.


Sound card calibration

There are several different methods and programs for setting sound cards parameters.

The MMVARI is one of the best programs with many features. The tutorial of how to use this program can be found here.


Transceiver control

The transceiver controls via Omni-Rig program. It could be downloaded from the site http://www.dxatlas.com/omnirig/

This program allows control of two rigs even from different programs. If you install Omni-Rig and adjust required parameters this program will run automatically after boot-up of your computer.

Below is the Omni-Rig window:

In this program you could connect two transceivers. If you check the box Rig1\Rig2 - you control the first rig, if you remove it - you control the second one.

Omni-Rig adjustments

· Click the icon [image] in the Omni-Rig window (above) and select "Omni-rig setup";
· On tab "RIG 1" in the field "Rig type" select the transceiver model;
· In the field "Port" pick the port number, and in other fields set other parameters for communications. For values of the particular type of rig please consult user's manual;
· If you use the second rig, set it's control parameters on the tab "RIG 2" in the same manner as for the first one.

For example above is shown setup for Yaesu FT-1000MP (MarkV) transceiver. The number of COM-port could be different, but other parameters are correct.

In the log's program don't forget to check the line "OmniRig" in the "Settings", "Program setting", "Use transceiver control", otherwise the mode will not change.

ICOM transceivers setup

· Start digital module;
· Open menu "Configure", "Sound device setting";
· As shown on the screen shot below, it is necessary to set in the "ICOM Rig ID" field the ID number for the particular model (it's different for different models). The list of IDs can be seen here - http://www.plicht.de/ekki/civ/civ-p31.html, these numbers are in hexadecimal code. If the number is, for instance, "$5E" or "5EH", you have to enter "5E".

· The ID field on this screenshot is not active. It became active if the ICOM transceiver was selected in the list of transceivers in Omni-Rig ;

· If while turning frequency control knob the frequency in the log program is changing with delay and not smoothly, then in the Omni-Rig in fields "Poll int." and "Timeout" you need to change values to 100 (you have to experiment with those numbers to find proper value).


PTT control via virtual ports

To work with other programs which also use COM-ports to switch receive/transmit it'll be necessary to create virtual interconnected ports, for example, "COM5" and "COM4".

For example, in the program MMSSTV settings for PTT would require "COM4". Log is going to receive information via "COM5". Since virtual ports are interconnected all commands sent by MMSSTV will be translated from "COM4" to "COM5", log is going to receive them via "COM5" and "Omni-Rig" will send data to the transceiver.

There are many programs exist to create virtual ports, they could be found on the Internet. Below is just an example of use of one of these programs.

During the launch of this program only physical ports, like "COM1" and "COM2" are visible.

To make virtual ports select, for example, for the "First port" "COM4" and for the "Second port" - "COM5", then click button "Add pair", after which interconnected virtual ports "COM4" and "COM5" will be created.

Close the program. It's possible that you'll need to reboot the computer.


Sound card to transceiver interface

To control different brands of transceivers homemade or commercial interface units can be used.

One of relatively inexpensive commercially available devices is MixW RigExpert Tiny. The device has a serial CAT-port (transceiver control), the second serial port with PTT outputs and CW, and also provides connection of the transceiver to the sound card of the computer.

This device connects to the transceiver with provided cables. Computer connects with this device via USB cable, and a separate power supply is not needed. LED indicators allow to monitor the activity of the device which helps to get optimal results.

Interface is fully compatible with all amateur radio software working under MS Windows 98/ME/2000/XP.

The setup of this device is pretty simple. You need to connect appropriate cables to the transceiver and computer and install the driver.

The driver installation procedure described in details in the user manual and disk with driver program supplied with the device. During the installation two virtual serial ports will be created. One of them with Omni-Rig software controls the transceiver frequency, and the second one is used for PTT и CW.

If you plan to use this device for digital communications it will be necessary to configure the UR5EQF LOG in a certain way.

To work with CWType software settings could be as follows:

The COM-port number could be different depending of what port of interface of MixW RigExpert Tiny will be used for the manipulation. The settings shown above can be used, for example, for FT-1000MP and MixW RigExpert Tiny in CW mode for keyboard manipulation.


Hot-keys list

ALT+T | telnet command (send command in telnet cluster)
ALT+F | callsign search
ALT+L | awards list
ALT+N | statistic window
ALT+M | award statistic window
ALT+S | save QSO
CTRL+T | interface switching "Type1/Type2"
CTRL+G | interface switching for "Type1"
CTRL+F | interface switching between standard/nonstandard modes
CTRL+D | sort in the log window by date
CTRL+B | sort in the log window by frequency (band)
CTRL+M | sort in the log window by mode
CTRL+A | select all QSOs in the log
CTRL+ALT+ENTER | send spot without dialog from Telner window


Program files description

Below is some information about log's files, many of these files can be edited in any text editor.

Files in the folder ur5eqf_log:

Name | Description
awards | folder with files (database for awards)
BACKUP | folder with files (backup after program update)
db | folder with files (log's configuration, QSL-managers database, database for DXCC, cities, names, and internal reference book)
Disk1 | folder with files (input-output drivers for ports)
logs | folder with files (databases for logs)
Maps | folder with files (graphic files of maps of territories)
PrintQueue | folder with files (print queue files)
RxLog | folder with files (for digital modes the received information is writing into files RxLogXXXXXXXX.log with text format of data)
TutilNew | folder with files (utility for correction and re-indexation of tables, databases of logs)
asets.dat | data from "Index" field (in the text format). Generated by the user during log creation. It could be separate index for each log, statistic then will be counted separately. If index is the same, statistic will be joint for all these logs.
AudioRecorder.exe | digital recorder program.
awards.ini, awardsEx.ini | award statistic files
bands.dat | bands format in MHz (text format)
Bands.ini | data for the transceiver control from the cluster to switch the mode depending of frequency allocation in the band
CabrilloMode.dat | mode types conversion in Cabrillo format
Contest.adi |
Contest.txt | F1-F8 keys programming for contest work
ContestMacro.INI | Macros for the contest mode
DxClaster.dat | last downloaded data from www DX cluster
friends.ini | text file in the format "Callsign"="information". During entering the callsign in the main window the data about current correspondent will be displayed in additional line in blue color.
INSTALL.LOG | program data for installation of log
LanguageFile | file of Russian language conversion, can be edited by any text editor
lptwdmio.sys | ports input/output driver
Master.txt | callsign list for control in contests
MMvariMacro.INI | macros file to work with digital modes
MMvariMacroContest.INI | macros file to work with digital modes in contests
ModCalcDll.dll | library file for the log program
modes.dat | modes list file in text format
MorseMacro.ini | macros file for CW
nodelist.dat | cluster nodes information in text format
Prefix.lst | countries and territories prefixes
printer.def | printer setup file for QSLprint program
qrz32.dll | one of .dll files
QSLDemo.qsl | sample of QSL
QslPrint.exe | QSL print program
QslPrint.ini | initialization file for print and printer setup
raccd32a.dll | library file to work with RAC database
SWL.dat | broadcast stations data
TelnetCommand.txt | telnet cluster commands
UNWISE.EXE | log program removal tool
UR5EQF.chm | help file
UR5EQF_Log.exe | executable program file
UR5EQF_Log.INI | program initialization file
UR5EQF_server.exe | program for multiuser mode to work in the local net
world.bmp, world.lyr, world.lyr.md | world maps files
wwv.txt |
wwwclasterspot.dat | url-address's of www DX cluster

awards folder files (by default):

File name | Brief description
DOK.db, DOK.px | DOK award database
DXCC.DB, DXCC.PX | DXCC award database
IOTA.db, Iota.px | IOTA award database
P-75-P.db, P-75-p.px | P-75-P award database
RDA.db, RDA.px | Russian District Award database
Russia.DB, Russia.PX | RUSSIA award database
Statistic.DB, Statistic.MB, Statistic.PX | current statistic awards databases
URDA.db, URDA.PX | Ukraine District Award database
W28MA.db, W28MA.PX | Worked 28 Meridian Award database
WAS.DB, WAS.PX | WAS award database
WAU.db, WAU.px | Worked All Ukraine award database
WAZ.DB, WAZ.PX | WAZ award database
WPX.db, Wpx.px | WPX award database

Files in the folder db:

Наименование файла | Описание
Aconfig.DB, Aconfig.PX | log configuration files. Description and mapping for each database on the disk, information about your callsign, name QTH, coordinates and so on (separately for each created log). When the new log is being created the information is writing in these files. All logs have to be created from the beginning if these files will be removed.
Amgr.DB, Amgr.PX, Amgr.XG0, Amgr.XG1, Amgr.YG0, Amgr.YG1 | QSL-managers database.
Aprefix.DB, Aprefix.PX, Aprefix.XG0, Aprefix.XG1, Aprefix.YG0, Aprefix.YG1 | Prefixes by territories database.
Callbook.DB, Callbook.MB, Callbook.PX, Callbook.XG0, Callbook.YG0 | internal callbook database.
City.DB, City.PX, City.XG0, City.YG0 | database of the geographic names (cities of the world).
condtest.DB, condtest.MB, condtest.PX | contests database
Dxcc.DB, Dxcc.PX | DXCC prefixes database
ImageTable.db, ImageTable.MB, ImageTable.PX |
Names.DB, Names.PX, Names.XG0, Names.YG0 | names database
Prefix.DB, Prefix.PX, Prefix.XG0, Prefix.XG1, Prefix.YG0, Prefix.YG1 | prefixes database with names and coordinates of territories.


Author's advices

 Top Previous

If the program is not working properly

Often the cause of this problem lies in violation of database tables integrity. It could happen for different reasons.

There are several things you can do to resolve the problem:

1. Reindexation of the tables in databases

Menu "Logbook", "Operations with a Logbook", select "Reindex current log". After this procedure log has to be restarted.

If after re-indexing the log disappeared from the screen and you couldn't enter new callsign - don't worry, log was not lost, it's still in the logs folder. Try the following:

· close the program;
· make copy of your log's files.

Log has many files with one name, as such:

UR5EQF.db
UR5EQF.MB
UR5EQF.PX
UR5EQF.XG0
UR5EQF.XG1

· in the first two, "file_name_log.db" and "file_name_log.MB" are the data, and the rest are index files which needed for fast search of data in the log;
· leave untouched first two files *.db и *.MB and delete the rest;
· if you have several logs - work only with the one which has problem;
· start the program and repeat the indexation. Removed files will be recreated again. If it didn't help - try one more time.

2. Reindexation of all tables

Menu "Logbook", "Operations with a Logbook", select "Reindex all tables" - here you can perform re-indexation of internal callbook, callsigns, managers, statistic tables and also the internal reference book for names and cities.

· Click "Reindex all tables";
· Click "ОК";
· Wait til the process finished, then restart the log.

3. Checking databases with TutilNew utility

The author wrote a special utility to test and repair the integrity of databases. It's part of the log program starting with version 2.8 and by default is in the folder C:\ur5eqf_log\TutilNew\.

If you updating your log having earlier versions you can download this utility here: http://www.ur5eqf.narod.ru/files/TutilNew.rar.

There is no installation required, just unpack the file and copy it in some folder of the program, for example in C:\ur5eqf_log\TutilNew\... or any other folder on the disk.

· Before you start the test close the log's program;
· Run the file DtutilNew.exe;
· Show the path to the log's folder (by default C:\ur5eqf_log);
· Click "Check all";
· The program finds all databases in log by itself and checks them, and in case the error was found the program will repair and restore data;
· Wait for the message "Test finished";
· If there were errors try to run this utility one more time until no error will be found.

4. If all described above didn't help:

· Remove sub-folder "awards" in the folder "\ur5eqf_log\";
· In the folder "DB" leave only "Aconfig.db" and "Aconfig.px", these files contain information about your logs;
· Don't delete folder "logs" since this folder contains logs themselves;
· Make fresh installation of the program. New versions are always available on the author's websitehttp://www.ur5eqf.narod.ru/ or here - http://www.cqrivne.com.ua/files.php .

5. If this didn't help... Then obviously the table with your log was seriously damaged.

· Perform the procedure in the paragraph 3;
· Create a new log from menu "Logbook", "Operations with a Logbook". Pay attention for the value in the field "Index", it has to be different from "Index" of your log;
· Copy the data from your log to the new one, to do that:
· Select (highlight) all records in the log;
· Right-click on the log's window will call menu on the screen;
· Pick the option "Copy to another log";
· In the opened window pick the log and click OK.

6. Statistic in the log is incorrect.

If the statistic for selected award in "Award statistic" and "Application for award" differs, try to resolve this problem as described below:

· Check in the log configuration what index value was assigned for your current log during it's creation (the list of indexes is in the file "asets.dat");
· Close the log program;
· Find in "\ur5eqf_log\awards\" folder with the same name as the index (example: \ur5eqf_log\awards\A\ );
· Remove this folder (Attention!!! Don't remove any files in the folder \ur5eqf_log\awards\ !!!);
· Start again the log program (the folder with the index name will be created automatically);
· Update statistic from the menu "Logbook".

If even after this you have differences in statistic then compare data for selected award in the "Award list" and in the file "awards.ini". Sometimes there are mistakes which have to be corrected manually, then update statistic again.

7. DXCC territory is incorrect or missing during QSO

If for any reason during entering QSO in the log the DXCC territory was not determined, then in the "Award statistic" in the upper part of the table will be empty line, in which those QSOs will be marked as completed or confirmed. In most cases it can happen because the callsign prefix is missing in the prefix list (for example, it was a special callsign).

To find such callsigns in the log you can use search by filters. Check the box "Unknown territories" and click OK. You'll see the list of unknown countries/territories. Edit it and assign proper DXCC country for each callsign. If necessary the list of prefixes can be edited. Then update awards statistic. If everything was done correctly then there will not be empty lines in the "Award statistic" and everything will be reflected properly.

8. Critical system error during the first start of the program

During the first run the program caused critical system error or the program window was visible, but didn't work, the log's content was not displayed, the callsign entry didn't work. The problem could be caused by an older version of BDE, which was installed before log program.
The first symptom of old BDE version is missing icon "BDE Administrator" on the control panel. In some cases BDE was installing in the folder "C:\Program Files\Borland\Common Files\BDE" (not always). Run executable file "bdeadmin.exe". Check the version in "Help", "About" the version has to be not earlier than 5.01.

If it's earlier than 5.01:

· Save configuration: "Object", "Save as Configuration….";
· Rename folder with BDE;
· Restart the computer;
· Make full log istallation;
· On the control panel should appear icon of "BDE Administrator";
· Start the administrator;
· Merge newly created configuration with the saved one: "Object", "Merge Configuration….".

9. Restore of the waterfall in the digital module

If you by mistake shifted borders of the waterfall in the digital module in a way that you can't restore them manually do the following:

· Close the log program;
· Find the file "UR5EQF_LOG.INI" in folder C:\WINDOWS\;
· Open it wit any text editor;
· Find section "[TfmMMvari]";
· Find the lines:

Panel8_Height=330

Panel1_Height=364

Panel7_Height=50

· Values next to "Panel8_Height" and "Panel1_Height" will be different, set them according to shown above;
· Save the file;
· Run log program and the digital module, the waterfall window has to be restored.